                                           ╘
                                    ─       ╛▒╛
                                     ▐╫       ▄█├
                              ─╟╛      █▄      ╪▓▀
                    ╓┤┤┤┤┤┤┤┤┤  ╩▌      ██      ▀▓▌
                     ▐▒   ╬▒     ╟▓╘    ─▓█      ▓▓├
                     ▒╫   ▒╪      ▓█     ▓▓─     ▓▓▄
                    ╒▒─  │▒       ▓█     ▓▓     ─▓▓─
                    ╬▒   ▄▒ ╒    ╪▓═    ╬▓╬     ▌▓▄
                    ╥╒   ╦╥     ╕█╒    ╙▓▐     ▄▓╫
                               ▐╩     ▒▒      ▀▀
                                    ╒╪      ▐▄
             
                 _____             __        ____  __
                / ___/____  ____  /_/____   / __ \/_/
                \__ \/ __ \/ __ \/ / ___/  / /_/ / /
               ___/ / /_/ / / / / / /__   / ____/ /
              /____/\____/_/ /_/_/\___/  /_/   /_/


## The Live Coding Music Synth for Everyone.

Sonic Pi is a *new kind of musical instrument*. Instead of strumming
strings or whacking things with sticks - you write code - **live**.

Sonic Pi has been designed with the aim to find a harmonious balance
between three core principles:

* **Simple** enough for the 10 year old within you
* **Joyful** enough for you to lose yourself through play
* **Powerful** enough for your own expressions

Sonic Pi is a complete open source programming environment originally
designed to explore and *teach programming concepts* within schools through 
the process of creating *new sounds*. 

In addition to being an engaging education resource it has evolved into 
an *extremely powerful* and performance-ready *live coding instrument* suitable 
for professional artists and DJs.

Whilst Education is a core focus it now sits at the intersection
between three core domains:

* **Art** - providing the means to express yourself and ask new questions of music and notation
* **Technology** - exploring questions related to liveness, time and concurrency in programming languages
* **Education**  - demonstrating that open play rather than rigid structures increases motivation and engagement in the classroom

Again, finding a balance working to the best benefits of all these
domains is the objective.


* Info & Latest Releases: http://sonic-pi.net
* Source: https://github.com/samaaron/sonic-pi
* Computing Education Resources for Schools: http://www.raspberrypi.org/learning/sonic-pi-lessons/
* Music Education Toolkit for Schools: http://sonicpiliveandcoding.com

## Acknowledgements

Sonic Pi has been developed within the Computer Laboratory at the
University of Cambridge with kind support from the Raspberry Pi
Foundation, the Broadcom Foundation and pi-top.

## Translations

Sonic Pi's application and built in tutorial have been translated into several languages thanks to the awesome work of several [volunteer translators](CONTRIBUTORS.md#translation):

Status                                                                                                                                                       | Language            | Application        | Tutorial
-----------------------------------------------------------------------------------------------------------------------------------------------------------: | :------------------ | :----------------: | :----------------: 
[![Translation Status of Sonic Pi: da](https://hosted.weblate.org/widgets/sonic-pi/da/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | Danish              | :white_check_mark: | :red_circle:
[![Translation Status of Sonic Pi: nl](https://hosted.weblate.org/widgets/sonic-pi/nl/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | Dutch               | :white_check_mark: | :white_check_mark:
[![Translation Status of Sonic Pi: fi](https://hosted.weblate.org/widgets/sonic-pi/fi/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | Finnish             | :white_check_mark: | :red_circle:
[![Translation Status of Sonic Pi: fr](https://hosted.weblate.org/widgets/sonic-pi/fr/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | French              | :white_check_mark: | :white_check_mark:
[![Translation Status of Sonic Pi: de](https://hosted.weblate.org/widgets/sonic-pi/de/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | German              | :white_check_mark: | :white_check_mark:
[![Translation Status of Sonic Pi: hu](https://hosted.weblate.org/widgets/sonic-pi/hu/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | Hungarian           | :white_check_mark: | :red_circle:
[![Translation Status of Sonic Pi: is](https://hosted.weblate.org/widgets/sonic-pi/is/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | Icelandic           | :white_check_mark: | :red_circle:
[![Translation Status of Sonic Pi: it](https://hosted.weblate.org/widgets/sonic-pi/it/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | Italian             | :white_check_mark: | :white_check_mark:
[![Translation Status of Sonic Pi: ja](https://hosted.weblate.org/widgets/sonic-pi/ja/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | Japanese            | :white_check_mark: | :white_check_mark:
[![Translation Status of Sonic Pi: nb](https://hosted.weblate.org/widgets/sonic-pi/nb/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | Norwegian Bokmål    | :white_check_mark: | :white_check_mark:
[![Translation Status of Sonic Pi: pl](https://hosted.weblate.org/widgets/sonic-pi/pl/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | Polish              | :white_check_mark: | :white_check_mark:
[![Translation Status of Sonic Pi: pt](https://hosted.weblate.org/widgets/sonic-pi/pt/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | Portuguese          | :red_circle:       | :white_check_mark:
[![Translation Status of Sonic Pi: ro](https://hosted.weblate.org/widgets/sonic-pi/ro/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | Romanian            | :white_check_mark: | :white_check_mark:
[![Translation Status of Sonic Pi: ru](https://hosted.weblate.org/widgets/sonic-pi/ru/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | Russian             | :white_check_mark: | :white_check_mark:
[![Translation Status of Sonic Pi: zh_Hans](https://hosted.weblate.org/widgets/sonic-pi/zh_Hans/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/) | Simplified Chinese  | :white_check_mark: | :red_circle:
[![Translation Status of Sonic Pi: es](https://hosted.weblate.org/widgets/sonic-pi/es/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)           | Spanish             | :white_check_mark: | :white_check_mark:

Would you like to contribute a translation too? If so, please take a look at our [translation docs](https://github.com/samaaron/sonic-pi/blob/master/TRANSLATION.md) to get started.

## Information for developers

Sonic Pi is under active development, and welcomes new contributors:

* [How to contribute](HOW-TO-CONTRIBUTE.md)
* [Change log](CHANGELOG.md)
* [Community](COMMUNITY.md)
* [Contributors](CONTRIBUTORS.md)
* [Installation](INSTALL.md)
* [License](LICENSE.md)
* [Testing](TESTING.md)
* [Translation](TRANSLATION.md)

[![Weblate](https://hosted.weblate.org/widgets/sonic-pi/-/svg-badge.svg)](https://hosted.weblate.org/engage/sonic-pi/)
<br/>
[![Travis CI](https://travis-ci.org/samaaron/sonic-pi.svg?branch=master)](https://travis-ci.org/samaaron/sonic-pi)
<br/>
[![Gitter](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/samaaron/sonic-pi?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

