//--
// This file is part of Sonic Pi: http://sonic-pi.net
// Full project source: https://github.com/samaaron/sonic-pi
// License: https://github.com/samaaron/sonic-pi/blob/master/LICENSE.md
//
// Copyright 2013, 2014 by Sam Aaron (http://sam.aaron.name).
// All rights reserved.
//
// Permission is granted for use, copying, modification, distribution,
// and distribution of modified versions of this work as long as this
// notice is included.
//++

// AUTO-GENERATED-DOCS
// Do not manually add any code below this comment
// otherwise it may be removed

void MainWindow::initDocsWindow() {

  QString systemLocale = QLocale::system().name();

if (systemLocale.startsWith("ja")) {

  // language ja

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { QString::fromUtf8("1 Sonic Pi へようこそ"), NULL, "qrc:///help/tutorial_item_1.html"},
    { QString::fromUtf8("   1.1 ライブコーディング"), NULL, "qrc:///help/tutorial_item_2.html"},
    { QString::fromUtf8("   1.2 インタフェースの探索"), NULL, "qrc:///help/tutorial_item_3.html"},
    { QString::fromUtf8("   1.3 遊びを通した学び"), NULL, "qrc:///help/tutorial_item_4.html"},
    { QString::fromUtf8("2 シンセ"), NULL, "qrc:///help/tutorial_item_5.html"},
    { QString::fromUtf8("   2.1 初めての音"), NULL, "qrc:///help/tutorial_item_6.html"},
    { QString::fromUtf8("   2.2 シンセのオプション"), NULL, "qrc:///help/tutorial_item_7.html"},
    { QString::fromUtf8("   2.3 シンセの切り替え"), NULL, "qrc:///help/tutorial_item_8.html"},
    { QString::fromUtf8("   2.4 エンベロープでのデュレーション"), NULL, "qrc:///help/tutorial_item_9.html"},
    { QString::fromUtf8("3 サンプル"), NULL, "qrc:///help/tutorial_item_10.html"},
    { QString::fromUtf8("   3.1 サンプルを使う"), NULL, "qrc:///help/tutorial_item_11.html"},
    { QString::fromUtf8("   3.2 サンプル・パラメータ"), NULL, "qrc:///help/tutorial_item_12.html"},
    { QString::fromUtf8("   3.3 サンプルを引き延ばす"), NULL, "qrc:///help/tutorial_item_13.html"},
    { QString::fromUtf8("   3.4 エンベロープ・サンプル"), NULL, "qrc:///help/tutorial_item_14.html"},
    { QString::fromUtf8("   3.5 部分的なサンプル"), NULL, "qrc:///help/tutorial_item_15.html"},
    { QString::fromUtf8("   3.6 外部サンプル"), NULL, "qrc:///help/tutorial_item_16.html"},
    { QString::fromUtf8("   3.7 サンプルパック"), NULL, "qrc:///help/tutorial_item_17.html"},
    { QString::fromUtf8("4 ランダム化"), NULL, "qrc:///help/tutorial_item_18.html"},
    { QString::fromUtf8("5 プログラミングの構造"), NULL, "qrc:///help/tutorial_item_19.html"},
    { QString::fromUtf8("   5.1 ブロック"), NULL, "qrc:///help/tutorial_item_20.html"},
    { QString::fromUtf8("   5.2 イテレーション（反復）とループ"), NULL, "qrc:///help/tutorial_item_21.html"},
    { QString::fromUtf8("   5.3 条件文"), NULL, "qrc:///help/tutorial_item_22.html"},
    { QString::fromUtf8("   5.4 スレッド"), NULL, "qrc:///help/tutorial_item_23.html"},
    { QString::fromUtf8("   5.5 ファンクション（関数）"), NULL, "qrc:///help/tutorial_item_24.html"},
    { QString::fromUtf8("   5.6 変数"), NULL, "qrc:///help/tutorial_item_25.html"},
    { QString::fromUtf8("   5.7 スレッドの同期"), NULL, "qrc:///help/tutorial_item_26.html"},
    { QString::fromUtf8("6 エフェクト"), NULL, "qrc:///help/tutorial_item_27.html"},
    { QString::fromUtf8("   6.1 エフェクトの追加"), NULL, "qrc:///help/tutorial_item_28.html"},
    { QString::fromUtf8("   6.2 エフェクトの実践"), NULL, "qrc:///help/tutorial_item_29.html"},
    { QString::fromUtf8("7 コントロール"), NULL, "qrc:///help/tutorial_item_30.html"},
    { QString::fromUtf8("   7.1 演奏中のシンセ制御"), NULL, "qrc:///help/tutorial_item_31.html"},
    { QString::fromUtf8("   7.2 エフェクトの制御"), NULL, "qrc:///help/tutorial_item_32.html"},
    { QString::fromUtf8("   7.3 オプションのスライド"), NULL, "qrc:///help/tutorial_item_33.html"},
    { QString::fromUtf8("8 データ構造"), NULL, "qrc:///help/tutorial_item_34.html"},
    { QString::fromUtf8("   8.1 リスト"), NULL, "qrc:///help/tutorial_item_35.html"},
    { QString::fromUtf8("   8.2 コード（和音）"), NULL, "qrc:///help/tutorial_item_36.html"},
    { QString::fromUtf8("   8.3 スケール（音階）"), NULL, "qrc:///help/tutorial_item_37.html"},
    { QString::fromUtf8("   8.4 リング"), NULL, "qrc:///help/tutorial_item_38.html"},
    { QString::fromUtf8("   8.5 リングのチェイン"), NULL, "qrc:///help/tutorial_item_39.html"},
    { QString::fromUtf8("9 ライブコーディング"), NULL, "qrc:///help/tutorial_item_40.html"},
    { QString::fromUtf8("   9.1 ライブコーディングの基本"), NULL, "qrc:///help/tutorial_item_41.html"},
    { QString::fromUtf8("   9.2 ライブループ"), NULL, "qrc:///help/tutorial_item_42.html"},
    { QString::fromUtf8("   9.3 マルチ・ライブループ"), NULL, "qrc:///help/tutorial_item_43.html"},
    { QString::fromUtf8("   9.4 チック"), NULL, "qrc:///help/tutorial_item_44.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_45.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_46.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_47.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_48.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_49.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_50.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_51.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_52.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_53.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_54.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_55.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_56.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_57.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_58.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_59.html"},
    { QString::fromUtf8("A 付録A - MagPi掲載記事"), NULL, "qrc:///help/tutorial_item_60.html"},
    { QString::fromUtf8("   A.1 Sonic Piのためのヒント"), NULL, "qrc:///help/tutorial_item_61.html"},
    { QString::fromUtf8("   A.2 ライブコーディング"), NULL, "qrc:///help/tutorial_item_62.html"},
    { QString::fromUtf8("   A.3 コード化されたビート"), NULL, "qrc:///help/tutorial_item_63.html"},
    { QString::fromUtf8("   A.4 シンセ・リフ"), NULL, "qrc:///help/tutorial_item_64.html"},
    { QString::fromUtf8("   A.5 アシッドベース"), NULL, "qrc:///help/tutorial_item_65.html"},
    { QString::fromUtf8("   A.6 音楽的なMinecraft"), NULL, "qrc:///help/tutorial_item_66.html"},
    { QString::fromUtf8("   A.7 ビゼービート"), NULL, "qrc:///help/tutorial_item_67.html"},
    { QString::fromUtf8("   A.8 Minecraft VJになる"), NULL, "qrc:///help/tutorial_item_68.html"},
    { QString::fromUtf8("   A.9 ランダム化"), NULL, "qrc:///help/tutorial_item_69.html"},
    { QString::fromUtf8("   A.10 コントロール"), NULL, "qrc:///help/tutorial_item_70.html"},
    { QString::fromUtf8("   A.11 チック・タック"), NULL, "qrc:///help/tutorial_item_71.html"},
    { QString::fromUtf8("   A.12 サンプルをスライスする"), NULL, "qrc:///help/tutorial_item_72.html"},
    { QString::fromUtf8("   A.13 確率的シーケンサーをコーディングする"), NULL, "qrc:///help/tutorial_item_73.html"},
    { QString::fromUtf8("   A.14 振幅変調"), NULL, "qrc:///help/tutorial_item_74.html"},
    { QString::fromUtf8("   A.15 ライブコーディング5つのテクニック"), NULL, "qrc:///help/tutorial_item_75.html"},
    { QString::fromUtf8("   A.16 ライブコーディングの練習方法"), NULL, "qrc:///help/tutorial_item_76.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_77.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_78.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_79.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_80.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_81.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_82.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_83.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_84.html"},
    { QString::fromUtf8("   11.1 ベーシックなAPI"), NULL, "qrc:///help/tutorial_item_85.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 85);

} else if (systemLocale.startsWith("ro")) {

  // language ro

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Bine ai venit", NULL, "qrc:///help/tutorial_item_86.html"},
    { "   1.1 Programare live", NULL, "qrc:///help/tutorial_item_87.html"},
    { "   1.2 Explorarea interfetei", NULL, "qrc:///help/tutorial_item_88.html"},
    { "   1.3 Invatarea prin joaca", NULL, "qrc:///help/tutorial_item_89.html"},
    { "2 Sintetizatoare", NULL, "qrc:///help/tutorial_item_90.html"},
    { "   2.1 Primele beep-uri", NULL, "qrc:///help/tutorial_item_91.html"},
    { "   2.2 Optiuni sintetizatoare", NULL, "qrc:///help/tutorial_item_92.html"},
    { "   2.3 Alegerea altui sintetizator", NULL, "qrc:///help/tutorial_item_93.html"},
    { "   2.4 Durata folosind anvelope", NULL, "qrc:///help/tutorial_item_94.html"},
    { "3 Esantioane (samples)", NULL, "qrc:///help/tutorial_item_95.html"},
    { "   3.1 Activarea esantioanelor", NULL, "qrc:///help/tutorial_item_96.html"},
    { "3.2. Parametri Esantioane", NULL, "qrc:///help/tutorial_item_97.html"},
    { "   3.3 Comprimarea/Intinderea esantioanelor", NULL, "qrc:///help/tutorial_item_98.html"},
    { "   3.4 Anvelope pentru esantioane", NULL, "qrc:///help/tutorial_item_99.html"},
    { "   3.5 Esantioane partiale", NULL, "qrc:///help/tutorial_item_100.html"},
    { "   3.6 Esantioane externe", NULL, "qrc:///help/tutorial_item_101.html"},
    { "   3.7 Pachete de esantioane", NULL, "qrc:///help/tutorial_item_102.html"},
    { "4 Randomizare", NULL, "qrc:///help/tutorial_item_103.html"},
    { "5 Structuri de programare", NULL, "qrc:///help/tutorial_item_104.html"},
    { "   5.1 Blocuri", NULL, "qrc:///help/tutorial_item_105.html"},
    { "   5.2 Iteratii si bucle", NULL, "qrc:///help/tutorial_item_106.html"},
    { "   5.3 Conditii", NULL, "qrc:///help/tutorial_item_107.html"},
    { "   5.5 Fire de executie", NULL, "qrc:///help/tutorial_item_108.html"},
    { "   5.5 Functii", NULL, "qrc:///help/tutorial_item_109.html"},
    { "   5.6 Variabile", NULL, "qrc:///help/tutorial_item_110.html"},
    { "   5.7 Sincronizarea firelor de executie", NULL, "qrc:///help/tutorial_item_111.html"},
    { "6 Efecte", NULL, "qrc:///help/tutorial_item_112.html"},
    { "   6.1 Adaugarea de efecte", NULL, "qrc:///help/tutorial_item_113.html"},
    { "   6.2 Efectele in viata reala", NULL, "qrc:///help/tutorial_item_114.html"},
    { "7 Controlul", NULL, "qrc:///help/tutorial_item_115.html"},
    { "   7.1 Controlul sintetizatorului in timpul redarii", NULL, "qrc:///help/tutorial_item_116.html"},
    { "   7.2 Controlul efectelor", NULL, "qrc:///help/tutorial_item_117.html"},
    { "   7.3 Optiuni de modificare progresiva sau alunecare (sliding)", NULL, "qrc:///help/tutorial_item_118.html"},
    { "8 Structuri de date", NULL, "qrc:///help/tutorial_item_119.html"},
    { "   8.1 Listele", NULL, "qrc:///help/tutorial_item_120.html"},
    { "   8.2 Acorduri", NULL, "qrc:///help/tutorial_item_121.html"},
    { "   8.3 Game", NULL, "qrc:///help/tutorial_item_122.html"},
    { "   8.4 Liste circulare", NULL, "qrc:///help/tutorial_item_123.html"},
    { "   8.5 Definirea listelor circulare folosind comenzi inlantuite", NULL, "qrc:///help/tutorial_item_124.html"},
    { "9 Programarea live", NULL, "qrc:///help/tutorial_item_125.html"},
    { "   9.1 Bazele programarii live", NULL, "qrc:///help/tutorial_item_126.html"},
    { "   9.2 Bucle live", NULL, "qrc:///help/tutorial_item_127.html"},
    { "   9.3 Bucle live multiple", NULL, "qrc:///help/tutorial_item_128.html"},
    { "Tactul", NULL, "qrc:///help/tutorial_item_129.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_130.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_131.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_132.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_133.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_134.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_135.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_136.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_137.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_138.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_139.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_140.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_141.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_142.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_143.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_144.html"},
    { "A Anexa A - articole din MagPi", NULL, "qrc:///help/tutorial_item_145.html"},
    { "   A.1 Trucuri pentru Sonic Pi", NULL, "qrc:///help/tutorial_item_146.html"},
    { "   A.2 Programarea live", NULL, "qrc:///help/tutorial_item_147.html"},
    { "   A.3 Beat-uri programate", NULL, "qrc:///help/tutorial_item_148.html"},
    { "   A.4 Riff-uri (fraze melodice) pentru sintetizatoare", NULL, "qrc:///help/tutorial_item_149.html"},
    { "A. Basul acid", NULL, "qrc:///help/tutorial_item_150.html"},
    { "   A.6 Minecraft muzical", NULL, "qrc:///help/tutorial_item_151.html"},
    { "   A.7 Beat-uri Bizet", NULL, "qrc:///help/tutorial_item_152.html"},
    { "   A.8 Cum sa devii un VJ Minecraft", NULL, "qrc:///help/tutorial_item_153.html"},
    { "   A.9 Randomizarea", NULL, "qrc:///help/tutorial_item_154.html"},
    { "   A.10 Controlul", NULL, "qrc:///help/tutorial_item_155.html"},
    { "   A.11 Tic Tac", NULL, "qrc:///help/tutorial_item_156.html"},
    { "   A.12 Slicing cu esantioane", NULL, "qrc:///help/tutorial_item_157.html"},
    { "   A.13 Programeaza un Sequencer probabilistic", NULL, "qrc:///help/tutorial_item_158.html"},
    { "   A.14 Modulatia in amplitudine", NULL, "qrc:///help/tutorial_item_159.html"},
    { "   A.15 Cinci tehnici de programare live", NULL, "qrc:///help/tutorial_item_160.html"},
    { "   A.16 Cum sa exersezi programarea live", NULL, "qrc:///help/tutorial_item_161.html"},
    { "   A.17 Comprimarea/Intinderea esantioanelor", NULL, "qrc:///help/tutorial_item_162.html"},
    { "   A.18 Design de sunet - Sinteza aditiva", NULL, "qrc:///help/tutorial_item_163.html"},
    { "   A.19 Design de sunet - Sinteza substractiva", NULL, "qrc:///help/tutorial_item_164.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_165.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_166.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_167.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_168.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_169.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_170.html"},
    { "   11.1 Functii de baza din API", NULL, "qrc:///help/tutorial_item_171.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 86);

} else if (systemLocale.startsWith("nl")) {

  // language nl

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Welkom bij Sonic Pi", NULL, "qrc:///help/tutorial_item_172.html"},
    { "   1.1 Live Coderen (Live Coding)", NULL, "qrc:///help/tutorial_item_173.html"},
    { "   1.2 De Interface Verkennen", NULL, "qrc:///help/tutorial_item_174.html"},
    { "   1.3 Spelenderwijs Leren", NULL, "qrc:///help/tutorial_item_175.html"},
    { "2 Synthesizers (Synths)", NULL, "qrc:///help/tutorial_item_176.html"},
    { "   2.1 Je Eerste Bliepjes", NULL, "qrc:///help/tutorial_item_177.html"},
    { "   2.2 Synthesizer Opties", NULL, "qrc:///help/tutorial_item_178.html"},
    { "   2.3 Synths Veranderen", NULL, "qrc:///help/tutorial_item_179.html"},
    { "   2.4 Geluidsduur met \"Envelopes\"", NULL, "qrc:///help/tutorial_item_180.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_181.html"},
    { "   3.1 Samples Triggeren", NULL, "qrc:///help/tutorial_item_182.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_183.html"},
    { "   3.3  Samples Stretchen", NULL, "qrc:///help/tutorial_item_184.html"},
    { "   3.4 Envelop op Samples", NULL, "qrc:///help/tutorial_item_185.html"},
    { "   3.5 gedeeltelijke Samples", NULL, "qrc:///help/tutorial_item_186.html"},
    { "   3.6 Externe Samples", NULL, "qrc:///help/tutorial_item_187.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_188.html"},
    { "4 Randomiseren", NULL, "qrc:///help/tutorial_item_189.html"},
    { "5 Programmeerstructuren", NULL, "qrc:///help/tutorial_item_190.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_191.html"},
    { "   5.2 Herhaling en Loops", NULL, "qrc:///help/tutorial_item_192.html"},
    { "   5.3 Conditionelen", NULL, "qrc:///help/tutorial_item_193.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_194.html"},
    { "   5.5 functies", NULL, "qrc:///help/tutorial_item_195.html"},
    { "   5.6 Variabelen", NULL, "qrc:///help/tutorial_item_196.html"},
    { "   5.7 Het Synchroniseren van Threads", NULL, "qrc:///help/tutorial_item_197.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_198.html"},
    { "   6.1 FX  Toevoegen", NULL, "qrc:///help/tutorial_item_199.html"},
    { "   6.2 FX in de praktijk", NULL, "qrc:///help/tutorial_item_200.html"},
    { "7 Controle", NULL, "qrc:///help/tutorial_item_201.html"},
    { "   7.1 De controle over lopende Synths", NULL, "qrc:///help/tutorial_item_202.html"},
    { "   7.2 FX Controllen", NULL, "qrc:///help/tutorial_item_203.html"},
    { "   7.3 Glijdende Opties", NULL, "qrc:///help/tutorial_item_204.html"},
    { "8 Datastructuren", NULL, "qrc:///help/tutorial_item_205.html"},
    { "   8.1 Lijsten", NULL, "qrc:///help/tutorial_item_206.html"},
    { "   8.2 Akkoorden", NULL, "qrc:///help/tutorial_item_207.html"},
    { "   8.3 Toonladders", NULL, "qrc:///help/tutorial_item_208.html"},
    { "   8.4 Ringen", NULL, "qrc:///help/tutorial_item_209.html"},
    { "   8.5 Ring Kettingen", NULL, "qrc:///help/tutorial_item_210.html"},
    { "9 Live Codering", NULL, "qrc:///help/tutorial_item_211.html"},
    { "   9.1 De Grondslagen van Live Codering", NULL, "qrc:///help/tutorial_item_212.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_213.html"},
    { "   9.3 Meerdere Live Loops", NULL, "qrc:///help/tutorial_item_214.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_215.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_216.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_217.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_218.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_219.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_220.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_221.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_222.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_223.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_224.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_225.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_226.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_227.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_228.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_229.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_230.html"},
    { "A Appendix A - MagPi artikelen", NULL, "qrc:///help/tutorial_item_231.html"},
    { "   A.1 Tips voor Sonic Pi", NULL, "qrc:///help/tutorial_item_232.html"},
    { "   A.2 Live codering", NULL, "qrc:///help/tutorial_item_233.html"},
    { "   A.3 Gecodeerd Beats", NULL, "qrc:///help/tutorial_item_234.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_235.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_236.html"},
    { "   A.6 Muzikale Minecraft", NULL, "qrc:///help/tutorial_item_237.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_238.html"},
    { "   A.8 Word een Minecraft VJ", NULL, "qrc:///help/tutorial_item_239.html"},
    { "   A.9 Randomiseren", NULL, "qrc:///help/tutorial_item_240.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_241.html"},
    { "   A.11 Tik Tok", NULL, "qrc:///help/tutorial_item_242.html"},
    { "   A.12 Sample Snijden", NULL, "qrc:///help/tutorial_item_243.html"},
    { "   A.13 Codeer een probabilistische Sequencer", NULL, "qrc:///help/tutorial_item_244.html"},
    { "   A.14 Amplitude Modulatie", NULL, "qrc:///help/tutorial_item_245.html"},
    { "   A.15 Vijf Live codering technieken", NULL, "qrc:///help/tutorial_item_246.html"},
    { "A. 16 Hoe Live Coding te oefenen", NULL, "qrc:///help/tutorial_item_247.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_248.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_249.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_250.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_251.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_252.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_253.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_254.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_255.html"},
    { "   11.1 Basis API", NULL, "qrc:///help/tutorial_item_256.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 85);

} else if (systemLocale.startsWith("es")) {

  // language es

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Bienvenido a Sonic Pi", NULL, "qrc:///help/tutorial_item_257.html"},
    { QString::fromUtf8("   1.1 Live Coding (Programación en vivo)"), NULL, "qrc:///help/tutorial_item_258.html"},
    { "   1.2 Explorando la interfaz", NULL, "qrc:///help/tutorial_item_259.html"},
    { "   1.3 Aprender jugando", NULL, "qrc:///help/tutorial_item_260.html"},
    { "2 Sintetizadores", NULL, "qrc:///help/tutorial_item_261.html"},
    { "   2.1 Tus primeros Sonidos", NULL, "qrc:///help/tutorial_item_262.html"},
    { "   2.2 Opciones de Sintetizador", NULL, "qrc:///help/tutorial_item_263.html"},
    { "   2.3 Cambiando Sintetizadores", NULL, "qrc:///help/tutorial_item_264.html"},
    { QString::fromUtf8("   2.4 Duración con Envolventes"), NULL, "qrc:///help/tutorial_item_265.html"},
    { "3 Muestras", NULL, "qrc:///help/tutorial_item_266.html"},
    { "   3.1 Disparando muestras", NULL, "qrc:///help/tutorial_item_267.html"},
    { QString::fromUtf8("   3.2 Parámetros de muestreo"), NULL, "qrc:///help/tutorial_item_268.html"},
    { "   3.3 Estirando Samples", NULL, "qrc:///help/tutorial_item_269.html"},
    { "   3.4 Sobres para sampleos", NULL, "qrc:///help/tutorial_item_270.html"},
    { "   3.5 Sampleos parciales", NULL, "qrc:///help/tutorial_item_271.html"},
    { "Samples externos", NULL, "qrc:///help/tutorial_item_272.html"},
    { "   3.7 Paquete de samples", NULL, "qrc:///help/tutorial_item_273.html"},
    { "4 Aleatoriedad", NULL, "qrc:///help/tutorial_item_274.html"},
    { QString::fromUtf8("5 Estructuras de Programación"), NULL, "qrc:///help/tutorial_item_275.html"},
    { "   5.1 Bloques", NULL, "qrc:///help/tutorial_item_276.html"},
    { QString::fromUtf8("   5.2 Iteración y Bucles"), NULL, "qrc:///help/tutorial_item_277.html"},
    { "   5.3 Condicionales", NULL, "qrc:///help/tutorial_item_278.html"},
    { "   5.4 Hilos", NULL, "qrc:///help/tutorial_item_279.html"},
    { "   5.5 Funciones", NULL, "qrc:///help/tutorial_item_280.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_281.html"},
    { QString::fromUtf8("   5.7 Sincronización de hilos"), NULL, "qrc:///help/tutorial_item_282.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_283.html"},
    { QString::fromUtf8("   6.1 Añadiendo efectos FX"), NULL, "qrc:///help/tutorial_item_284.html"},
    { QString::fromUtf8("   6.2 FX en la práctica"), NULL, "qrc:///help/tutorial_item_285.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_286.html"},
    { QString::fromUtf8("   7.1 Controlando Sintetizadores en ejecución"), NULL, "qrc:///help/tutorial_item_287.html"},
    { "   7.2 Controlando efectos (FX)", NULL, "qrc:///help/tutorial_item_288.html"},
    { "   7.3 Opciones con Deslizadores", NULL, "qrc:///help/tutorial_item_289.html"},
    { "8 Estructuras de Datos", NULL, "qrc:///help/tutorial_item_290.html"},
    { "   8.1 Listas", NULL, "qrc:///help/tutorial_item_291.html"},
    { "   8.2 Acordes", NULL, "qrc:///help/tutorial_item_292.html"},
    { "   8.3 Escalas", NULL, "qrc:///help/tutorial_item_293.html"},
    { "   8.4 Anillos", NULL, "qrc:///help/tutorial_item_294.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_295.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_296.html"},
    { "   9.1 Fundamentos de Live Coding", NULL, "qrc:///help/tutorial_item_297.html"},
    { "   9.2 Bucles en Vivo", NULL, "qrc:///help/tutorial_item_298.html"},
    { QString::fromUtf8("   9.3 Múltiples Bucles en Vivo"), NULL, "qrc:///help/tutorial_item_299.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_300.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_301.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_302.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_303.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_304.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_305.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_306.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_307.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_308.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_309.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_310.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_311.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_312.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_313.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_314.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_315.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_316.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_317.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_318.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_319.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_320.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_321.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_322.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_323.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_324.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_325.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_326.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_327.html"},
    { "   A.12 Cortando Samples", NULL, "qrc:///help/tutorial_item_328.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_329.html"},
    { "Amplitud", NULL, "qrc:///help/tutorial_item_330.html"},
    { QString::fromUtf8("Programación en directo (Live Coding)"), NULL, "qrc:///help/tutorial_item_331.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_332.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_333.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_334.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_335.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_336.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_337.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_338.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_339.html"},
    { QString::fromUtf8("   11.1 API Básico"), NULL, "qrc:///help/tutorial_item_340.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 84);

} else if (systemLocale.startsWith("pt")) {

  // language pt

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "Bem vindo ao Sonic Pi", NULL, "qrc:///help/tutorial_item_341.html"},
    { "   1.1 Live Coding", NULL, "qrc:///help/tutorial_item_342.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_343.html"},
    { "   1.3 Aprende interagindo", NULL, "qrc:///help/tutorial_item_344.html"},
    { "2 Sintetizadores", NULL, "qrc:///help/tutorial_item_345.html"},
    { "   2.1 Os teus primeiros Beeps", NULL, "qrc:///help/tutorial_item_346.html"},
    { QString::fromUtf8("   2.2 Opções do Sintetizador"), NULL, "qrc:///help/tutorial_item_347.html"},
    { "   2.3 Alternar entre sintetizadores", NULL, "qrc:///help/tutorial_item_348.html"},
    { QString::fromUtf8("   2.4 Duração com Envolventes"), NULL, "qrc:///help/tutorial_item_349.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_350.html"},
    { "   3.1 Trigar Samples", NULL, "qrc:///help/tutorial_item_351.html"},
    { QString::fromUtf8("   3.2 Parâmetros dos Samples"), NULL, "qrc:///help/tutorial_item_352.html"},
    { "   3.3 Aplicar time stretching nos Samples", NULL, "qrc:///help/tutorial_item_353.html"},
    { "   3.4 Samples controlados por curvas de envolvente", NULL, "qrc:///help/tutorial_item_354.html"},
    { "   3.5 Samples Parciais", NULL, "qrc:///help/tutorial_item_355.html"},
    { "   3.6 Samples Externos", NULL, "qrc:///help/tutorial_item_356.html"},
    { "   3.7 Pacotes de Samples", NULL, "qrc:///help/tutorial_item_357.html"},
    { QString::fromUtf8("4 Randomização"), NULL, "qrc:///help/tutorial_item_358.html"},
    { QString::fromUtf8("5 estruturas de programação"), NULL, "qrc:///help/tutorial_item_359.html"},
    { "   5.1 Blocos", NULL, "qrc:///help/tutorial_item_360.html"},
    { QString::fromUtf8("   5.2 Iteração e Loops"), NULL, "qrc:///help/tutorial_item_361.html"},
    { "   5.3 Condicionais", NULL, "qrc:///help/tutorial_item_362.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_363.html"},
    { QString::fromUtf8("   5.5 Funções"), NULL, "qrc:///help/tutorial_item_364.html"},
    { QString::fromUtf8("   5.6 Variáveis"), NULL, "qrc:///help/tutorial_item_365.html"},
    { QString::fromUtf8("   5.7 Sincronização de Threads"), NULL, "qrc:///help/tutorial_item_366.html"},
    { "6 Efeitos", NULL, "qrc:///help/tutorial_item_367.html"},
    { "   6.1 Adicionando efeitos", NULL, "qrc:///help/tutorial_item_368.html"},
    { "   6.2 Efeitos na pratica", NULL, "qrc:///help/tutorial_item_369.html"},
    { "7 Controlo", NULL, "qrc:///help/tutorial_item_370.html"},
    { QString::fromUtf8("   7.1 Controlando Synths em execução"), NULL, "qrc:///help/tutorial_item_371.html"},
    { "   7.2 Controlando os efeitos", NULL, "qrc:///help/tutorial_item_372.html"},
    { QString::fromUtf8("   7.3 Opções deslizantes"), NULL, "qrc:///help/tutorial_item_373.html"},
    { "8 Estruturas de dados", NULL, "qrc:///help/tutorial_item_374.html"},
    { "   8.1 Listas", NULL, "qrc:///help/tutorial_item_375.html"},
    { "   8.2 Acordes", NULL, "qrc:///help/tutorial_item_376.html"},
    { "   8.3 Escalas", NULL, "qrc:///help/tutorial_item_377.html"},
    { QString::fromUtf8("   8.4 Anéis"), NULL, "qrc:///help/tutorial_item_378.html"},
    { QString::fromUtf8("   8.5 Cadeia de anéis"), NULL, "qrc:///help/tutorial_item_379.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_380.html"},
    { "   9.1 Fundamentos do Live coding", NULL, "qrc:///help/tutorial_item_381.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_382.html"},
    { QString::fromUtf8("   9.3 Múltiplos Live Loops"), NULL, "qrc:///help/tutorial_item_383.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_384.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_385.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_386.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_387.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_388.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_389.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_390.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_391.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_392.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_393.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_394.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_395.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_396.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_397.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_398.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_399.html"},
    { QString::fromUtf8("A Apêndice  A - Artigos na MagPi"), NULL, "qrc:///help/tutorial_item_400.html"},
    { "   A.1 Dicas para o Sonic Pi", NULL, "qrc:///help/tutorial_item_401.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_402.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_403.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_404.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_405.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_406.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_407.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_408.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_409.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_410.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_411.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_412.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_413.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_414.html"},
    { "Programar em tempo Real", NULL, "qrc:///help/tutorial_item_415.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_416.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_417.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_418.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_419.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_420.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_421.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_422.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_423.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_424.html"},
    { QString::fromUtf8("   11.1 API básico"), NULL, "qrc:///help/tutorial_item_425.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 85);

} else if (systemLocale.startsWith("de")) {

  // language de

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Willkommen bei Sonic Pi", NULL, "qrc:///help/tutorial_item_426.html"},
    { "   1.1 Live-Coding", NULL, "qrc:///help/tutorial_item_427.html"},
    { QString::fromUtf8("   1.2 Die Programmoberfläche von Sonic Pi"), NULL, "qrc:///help/tutorial_item_428.html"},
    { "   1.3 Spielend lernen", NULL, "qrc:///help/tutorial_item_429.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_430.html"},
    { QString::fromUtf8("   2.1 Deine ersten Klänge"), NULL, "qrc:///help/tutorial_item_431.html"},
    { "   2.2 Synth-Optionen", NULL, "qrc:///help/tutorial_item_432.html"},
    { "   2.3 Synths wechseln", NULL, "qrc:///help/tutorial_item_433.html"},
    { QString::fromUtf8("   2.4 Dauer und Hüllkurven"), NULL, "qrc:///help/tutorial_item_434.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_435.html"},
    { "   3.1 Samples ansteuern", NULL, "qrc:///help/tutorial_item_436.html"},
    { "   3.2 Sample-Parameter", NULL, "qrc:///help/tutorial_item_437.html"},
    { "   3.3 Samples dehnen", NULL, "qrc:///help/tutorial_item_438.html"},
    { QString::fromUtf8("   3.4 Samples mit Hüllkurven"), NULL, "qrc:///help/tutorial_item_439.html"},
    { "   3.5 Teil-Samples", NULL, "qrc:///help/tutorial_item_440.html"},
    { "   3.6 Samples aus externen Quellen", NULL, "qrc:///help/tutorial_item_441.html"},
    { "   3.7 Sample-Pakete", NULL, "qrc:///help/tutorial_item_442.html"},
    { "4 Randomisierung", NULL, "qrc:///help/tutorial_item_443.html"},
    { "5 Programmstrukturen", NULL, "qrc:///help/tutorial_item_444.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_445.html"},
    { "   5.2 Iteration und Schleifen", NULL, "qrc:///help/tutorial_item_446.html"},
    { "   5.3 Bedingungen", NULL, "qrc:///help/tutorial_item_447.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_448.html"},
    { "   5.5 Funktionen", NULL, "qrc:///help/tutorial_item_449.html"},
    { "   5.6 Variablen", NULL, "qrc:///help/tutorial_item_450.html"},
    { "   5.7 Thread-Synchronisation", NULL, "qrc:///help/tutorial_item_451.html"},
    { "6 Effekte", NULL, "qrc:///help/tutorial_item_452.html"},
    { QString::fromUtf8("   6.1 FX hinzufügen"), NULL, "qrc:///help/tutorial_item_453.html"},
    { "   6.2 Anwenden von Soundeffekten", NULL, "qrc:///help/tutorial_item_454.html"},
    { "7 Steuerung", NULL, "qrc:///help/tutorial_item_455.html"},
    { "   7.1 Laufende Synths steuern", NULL, "qrc:///help/tutorial_item_456.html"},
    { "   7.2 Effekte steuern", NULL, "qrc:///help/tutorial_item_457.html"},
    { "   7.3 Gleitende Parameter", NULL, "qrc:///help/tutorial_item_458.html"},
    { "8 Datenstrukturen", NULL, "qrc:///help/tutorial_item_459.html"},
    { "   8.1 Listen", NULL, "qrc:///help/tutorial_item_460.html"},
    { "   8.2 Akkorde", NULL, "qrc:///help/tutorial_item_461.html"},
    { "   8.3 Skalen", NULL, "qrc:///help/tutorial_item_462.html"},
    { "   8.4 Ringe", NULL, "qrc:///help/tutorial_item_463.html"},
    { "   8.5 Ring-Ketten", NULL, "qrc:///help/tutorial_item_464.html"},
    { "9 Live-Coding", NULL, "qrc:///help/tutorial_item_465.html"},
    { "   9.1 Live-Coding: Grundlagen", NULL, "qrc:///help/tutorial_item_466.html"},
    { "   9.2 Live-Loops", NULL, "qrc:///help/tutorial_item_467.html"},
    { "   9.3 Mehrere Live-Loops", NULL, "qrc:///help/tutorial_item_468.html"},
    { "   9.4 Ticks", NULL, "qrc:///help/tutorial_item_469.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_470.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_471.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_472.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_473.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_474.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_475.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_476.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_477.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_478.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_479.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_480.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_481.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_482.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_483.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_484.html"},
    { "A Appendix A - Artikel aus MagPi", NULL, "qrc:///help/tutorial_item_485.html"},
    { "   A.1 Tipps zu Sonic Pi", NULL, "qrc:///help/tutorial_item_486.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_487.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_488.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_489.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_490.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_491.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_492.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_493.html"},
    { QString::fromUtf8("   A.9 Zufälligkeit"), NULL, "qrc:///help/tutorial_item_494.html"},
    { "   A.10 Steuerung", NULL, "qrc:///help/tutorial_item_495.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_496.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_497.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_498.html"},
    { "   A.14 Amplitudenmodulation", NULL, "qrc:///help/tutorial_item_499.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_500.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_501.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_502.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_503.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_504.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_505.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_506.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_507.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_508.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_509.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_510.html"},
    { "   11.1 Grundfunktionen der Minecraft-PI-API", NULL, "qrc:///help/tutorial_item_511.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 86);

} else if (systemLocale.startsWith("pl")) {

  // language pl

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Witaj w Sonic Pi", NULL, "qrc:///help/tutorial_item_512.html"},
    { QString::fromUtf8("   1.1 Kodowanie na żywo"), NULL, "qrc:///help/tutorial_item_513.html"},
    { QString::fromUtf8("   1.2 Zapoznanie z interfejsem użytkownika"), NULL, "qrc:///help/tutorial_item_514.html"},
    { QString::fromUtf8("   1.3 Nauka przez zabawę"), NULL, "qrc:///help/tutorial_item_515.html"},
    { "2 Syntezatory", NULL, "qrc:///help/tutorial_item_516.html"},
    { QString::fromUtf8("   2.1 Twoje pierwsze dźwięki"), NULL, "qrc:///help/tutorial_item_517.html"},
    { QString::fromUtf8("   2.2 Opcje Syntezatorów"), NULL, "qrc:///help/tutorial_item_518.html"},
    { QString::fromUtf8("   2.3 Zmienianie Syntezatorów"), NULL, "qrc:///help/tutorial_item_519.html"},
    { QString::fromUtf8("   2.4 Czas trwania obwiedni dźwięku"), NULL, "qrc:///help/tutorial_item_520.html"},
    { "3 Sample", NULL, "qrc:///help/tutorial_item_521.html"},
    { "   3.1 Uruchamianie Sampli", NULL, "qrc:///help/tutorial_item_522.html"},
    { "   3.2 Parametry Sampli", NULL, "qrc:///help/tutorial_item_523.html"},
    { QString::fromUtf8("   3.3 Rozciąganie Sampli"), NULL, "qrc:///help/tutorial_item_524.html"},
    { "   3.4 Opakowane Sample", NULL, "qrc:///help/tutorial_item_525.html"},
    { QString::fromUtf8("   3.5 Kawałki Sampli"), NULL, "qrc:///help/tutorial_item_526.html"},
    { QString::fromUtf8("   3.6 Sample Zewnętrzne"), NULL, "qrc:///help/tutorial_item_527.html"},
    { "   3.7 Paczki z samplami", NULL, "qrc:///help/tutorial_item_528.html"},
    { QString::fromUtf8("4 Losowość"), NULL, "qrc:///help/tutorial_item_529.html"},
    { "5 Konstrukcje Programistyczne", NULL, "qrc:///help/tutorial_item_530.html"},
    { "   5.1 Bloki kodu", NULL, "qrc:///help/tutorial_item_531.html"},
    { QString::fromUtf8("   5.2 Iteracja i Pętle"), NULL, "qrc:///help/tutorial_item_532.html"},
    { "   5.3 Instrukcje Warunkowe", NULL, "qrc:///help/tutorial_item_533.html"},
    { QString::fromUtf8("   5.4 Wątki"), NULL, "qrc:///help/tutorial_item_534.html"},
    { "   5.5 Funkcje", NULL, "qrc:///help/tutorial_item_535.html"},
    { "   5.6 Zmienne", NULL, "qrc:///help/tutorial_item_536.html"},
    { QString::fromUtf8("   5.7 Synchronizacja Wątków"), NULL, "qrc:///help/tutorial_item_537.html"},
    { "6 FX (efekty)", NULL, "qrc:///help/tutorial_item_538.html"},
    { QString::fromUtf8("   6.1 Dodawanie Efektów"), NULL, "qrc:///help/tutorial_item_539.html"},
    { "   6.2 Efekty w praktyce", NULL, "qrc:///help/tutorial_item_540.html"},
    { "7 Kontrola", NULL, "qrc:///help/tutorial_item_541.html"},
    { QString::fromUtf8("   7.1 Kontrolowanie Uruchomionych Syntezatorów"), NULL, "qrc:///help/tutorial_item_542.html"},
    { QString::fromUtf8("   7.2 Kontrolowanie Efektów"), NULL, "qrc:///help/tutorial_item_543.html"},
    { "   7.3 Parametry Przesuwne", NULL, "qrc:///help/tutorial_item_544.html"},
    { "8 Struktury Danych", NULL, "qrc:///help/tutorial_item_545.html"},
    { "   8.1 Listy", NULL, "qrc:///help/tutorial_item_546.html"},
    { "   8.2 Akordy", NULL, "qrc:///help/tutorial_item_547.html"},
    { "   8.3 Skale", NULL, "qrc:///help/tutorial_item_548.html"},
    { QString::fromUtf8("   8.4 Pierścienie"), NULL, "qrc:///help/tutorial_item_549.html"},
    { QString::fromUtf8("   8.5 Łańcuchy Pierścieni (Ring Chains)"), NULL, "qrc:///help/tutorial_item_550.html"},
    { QString::fromUtf8("9 Kodowanie na Żywo"), NULL, "qrc:///help/tutorial_item_551.html"},
    { QString::fromUtf8("   9.1 Podstawy Kodowania na Żywo"), NULL, "qrc:///help/tutorial_item_552.html"},
    { QString::fromUtf8("   9.2 Żywe Pętle (Live Loops)"), NULL, "qrc:///help/tutorial_item_553.html"},
    { QString::fromUtf8("   9.3 Wiele Żywych Pętli"), NULL, "qrc:///help/tutorial_item_554.html"},
    { "   9.4 Cykanie", NULL, "qrc:///help/tutorial_item_555.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_556.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_557.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_558.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_559.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_560.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_561.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_562.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_563.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_564.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_565.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_566.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_567.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_568.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_569.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_570.html"},
    { QString::fromUtf8("A Dodatek A - Artykuły z magazynu  MagPi"), NULL, "qrc:///help/tutorial_item_571.html"},
    { QString::fromUtf8("   A.1 Wskazówki dla Sonic Pi"), NULL, "qrc:///help/tutorial_item_572.html"},
    { QString::fromUtf8("   A.2 Kodowanie na żywo"), NULL, "qrc:///help/tutorial_item_573.html"},
    { "   A.3 Zakodowane Bity", NULL, "qrc:///help/tutorial_item_574.html"},
    { QString::fromUtf8("   A.4 Riffy Syntezatorów"), NULL, "qrc:///help/tutorial_item_575.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_576.html"},
    { "   A.6 Muzyczny Minecraft", NULL, "qrc:///help/tutorial_item_577.html"},
    { "   A.7 Bizet'owe Bity", NULL, "qrc:///help/tutorial_item_578.html"},
    { QString::fromUtf8("   A.8 Zostań VJ'em Minecraft'a"), NULL, "qrc:///help/tutorial_item_579.html"},
    { "   A.9 Randomizacja", NULL, "qrc:///help/tutorial_item_580.html"},
    { "   A.10 Kontrola", NULL, "qrc:///help/tutorial_item_581.html"},
    { "   A.11 Tik Tak", NULL, "qrc:///help/tutorial_item_582.html"},
    { "   A.12 Krojenie Sampli", NULL, "qrc:///help/tutorial_item_583.html"},
    { "   A.13 Kodowanie Probabilistycznego Sekwencera", NULL, "qrc:///help/tutorial_item_584.html"},
    { "   A.14 Modulacja Amplitudy", NULL, "qrc:///help/tutorial_item_585.html"},
    { QString::fromUtf8("   A.15 Pięć Technik Kodowania Na Żywo"), NULL, "qrc:///help/tutorial_item_586.html"},
    { QString::fromUtf8("   A.16 W jaki sposób ćwiczyć kodowanie na żywo (Live Coding)"), NULL, "qrc:///help/tutorial_item_587.html"},
    { QString::fromUtf8("   A.17 Rozciąganie Sampli"), NULL, "qrc:///help/tutorial_item_588.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_589.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_590.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_591.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_592.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_593.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_594.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_595.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_596.html"},
    { "   11.1 Podstawowe API", NULL, "qrc:///help/tutorial_item_597.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 86);

} else if (systemLocale.startsWith("ru")) {

  // language ru

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { QString::fromUtf8("1 Добро пожаловать в Sonic Pi"), NULL, "qrc:///help/tutorial_item_598.html"},
    { QString::fromUtf8("   1.1 Лайв-кодинг"), NULL, "qrc:///help/tutorial_item_599.html"},
    { QString::fromUtf8("   1.2 Обзор интерфейса"), NULL, "qrc:///help/tutorial_item_600.html"},
    { QString::fromUtf8("   1.3 Обучение через игру"), NULL, "qrc:///help/tutorial_item_601.html"},
    { QString::fromUtf8("2 Синт - Синтезатор"), NULL, "qrc:///help/tutorial_item_602.html"},
    { QString::fromUtf8("   2.1 Ваш первый звук"), NULL, "qrc:///help/tutorial_item_603.html"},
    { QString::fromUtf8("   2.2 Свойства синтезаторов"), NULL, "qrc:///help/tutorial_item_604.html"},
    { QString::fromUtf8("   2.3 Переключение между синтезаторами"), NULL, "qrc:///help/tutorial_item_605.html"},
    { QString::fromUtf8("   2.4 Длительность и огибающие"), NULL, "qrc:///help/tutorial_item_606.html"},
    { QString::fromUtf8("3 Сэплы"), NULL, "qrc:///help/tutorial_item_607.html"},
    { QString::fromUtf8("   3.1 Воспроизведение сэмплов"), NULL, "qrc:///help/tutorial_item_608.html"},
    { QString::fromUtf8("   3.2 Параметры сэмплов"), NULL, "qrc:///help/tutorial_item_609.html"},
    { QString::fromUtf8("   3.3 Растягивание сэмплов"), NULL, "qrc:///help/tutorial_item_610.html"},
    { QString::fromUtf8("   3.4 Огибающие сэмплов"), NULL, "qrc:///help/tutorial_item_611.html"},
    { QString::fromUtf8("   3.5 Фрагментированные сэмплы"), NULL, "qrc:///help/tutorial_item_612.html"},
    { QString::fromUtf8("   3.6 Внешние сэмплы"), NULL, "qrc:///help/tutorial_item_613.html"},
    { QString::fromUtf8("   3.7 Наборы сэмплов"), NULL, "qrc:///help/tutorial_item_614.html"},
    { QString::fromUtf8("4 Рандомизация (Внесение случайностей)"), NULL, "qrc:///help/tutorial_item_615.html"},
    { QString::fromUtf8("5 Программирование структур"), NULL, "qrc:///help/tutorial_item_616.html"},
    { QString::fromUtf8("   5.1 Блоки"), NULL, "qrc:///help/tutorial_item_617.html"},
    { QString::fromUtf8("   5.2 Итерации и циклы"), NULL, "qrc:///help/tutorial_item_618.html"},
    { QString::fromUtf8("   5.3 Условные выражения"), NULL, "qrc:///help/tutorial_item_619.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_620.html"},
    { QString::fromUtf8("   5.5 Функции"), NULL, "qrc:///help/tutorial_item_621.html"},
    { QString::fromUtf8("   5.6 Переменные"), NULL, "qrc:///help/tutorial_item_622.html"},
    { QString::fromUtf8("   5.7 Синхронизация Потоков"), NULL, "qrc:///help/tutorial_item_623.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_624.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_625.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_626.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_627.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_628.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_629.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_630.html"},
    { QString::fromUtf8("8 Структуры Данных"), NULL, "qrc:///help/tutorial_item_631.html"},
    { QString::fromUtf8("   8.1 Списки"), NULL, "qrc:///help/tutorial_item_632.html"},
    { QString::fromUtf8("   8.2 Аккорды"), NULL, "qrc:///help/tutorial_item_633.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_634.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_635.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_636.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_637.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_638.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_639.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_640.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_641.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_642.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_643.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_644.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_645.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_646.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_647.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_648.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_649.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_650.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_651.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_652.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_653.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_654.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_655.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_656.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_657.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_658.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_659.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_660.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_661.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_662.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_663.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_664.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_665.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_666.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_667.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_668.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_669.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_670.html"},
    { QString::fromUtf8("Амплитуда"), NULL, "qrc:///help/tutorial_item_671.html"},
    { QString::fromUtf8("   A.15 Пять техник лайв-кодинга"), NULL, "qrc:///help/tutorial_item_672.html"},
    { QString::fromUtf8("А. 16 Как практиковаться в лайв-кодинге"), NULL, "qrc:///help/tutorial_item_673.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_674.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_675.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_676.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_677.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_678.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_679.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_680.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_681.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_682.html"},
    { "   11.1 Basic API", NULL, "qrc:///help/tutorial_item_683.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 86);

} else if (systemLocale.startsWith("it")) {

  // language it

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Benvenuto in Sonic Pi", NULL, "qrc:///help/tutorial_item_684.html"},
    { "   1.1 Programmare dal vivo", NULL, "qrc:///help/tutorial_item_685.html"},
    { QString::fromUtf8("   1.2 Esploriamo l’interfaccia"), NULL, "qrc:///help/tutorial_item_686.html"},
    { "   1.3 Imparare suonando", NULL, "qrc:///help/tutorial_item_687.html"},
    { "2 Synth (Sintetizzatori)", NULL, "qrc:///help/tutorial_item_688.html"},
    { "   2.1 I tuoi primi Beep", NULL, "qrc:///help/tutorial_item_689.html"},
    { "   2.2 Parametri dei Synth", NULL, "qrc:///help/tutorial_item_690.html"},
    { "   2.3 Muoversi fra i Synth", NULL, "qrc:///help/tutorial_item_691.html"},
    { "   2.4 Durate e inviluppi", NULL, "qrc:///help/tutorial_item_692.html"},
    { "3 Campioni", NULL, "qrc:///help/tutorial_item_693.html"},
    { "   3.1 Suonare i campioni", NULL, "qrc:///help/tutorial_item_694.html"},
    { "   3.2 I parametri dei campioni", NULL, "qrc:///help/tutorial_item_695.html"},
    { "   3.3 Stretching dei campioni", NULL, "qrc:///help/tutorial_item_696.html"},
    { "   3.4 Inviluppo dei campioni", NULL, "qrc:///help/tutorial_item_697.html"},
    { "   3.5 Esecuzione parziale dei campioni", NULL, "qrc:///help/tutorial_item_698.html"},
    { "   3.6 Campioni esterni", NULL, "qrc:///help/tutorial_item_699.html"},
    { "   3.7 Pacchetti di sample", NULL, "qrc:///help/tutorial_item_700.html"},
    { "4 Randomizzazione", NULL, "qrc:///help/tutorial_item_701.html"},
    { "5 Strutture di programmazione", NULL, "qrc:///help/tutorial_item_702.html"},
    { "   5.1 Blocchi", NULL, "qrc:///help/tutorial_item_703.html"},
    { "   5.2 Iterazioni e anelli", NULL, "qrc:///help/tutorial_item_704.html"},
    { "   5.3 Condizionali", NULL, "qrc:///help/tutorial_item_705.html"},
    { "   5.4 Catene", NULL, "qrc:///help/tutorial_item_706.html"},
    { "   5.5 Funzioni", NULL, "qrc:///help/tutorial_item_707.html"},
    { "   5.6 Variabili", NULL, "qrc:///help/tutorial_item_708.html"},
    { "   5.7 Sincronizzazione dei thread", NULL, "qrc:///help/tutorial_item_709.html"},
    { "6 Effetti", NULL, "qrc:///help/tutorial_item_710.html"},
    { "   6.1 Aggiungere un effetto", NULL, "qrc:///help/tutorial_item_711.html"},
    { "   6.2 Effetti in pratica", NULL, "qrc:///help/tutorial_item_712.html"},
    { "7 Controlli", NULL, "qrc:///help/tutorial_item_713.html"},
    { "   7.1 Controllare i sintetizzatori in riproduzione", NULL, "qrc:///help/tutorial_item_714.html"},
    { "   7.2 Controllare gli effetti", NULL, "qrc:///help/tutorial_item_715.html"},
    { "   7.3 Parametri scorrevoli", NULL, "qrc:///help/tutorial_item_716.html"},
    { "8 Strutture di dati", NULL, "qrc:///help/tutorial_item_717.html"},
    { "   8.1 Liste", NULL, "qrc:///help/tutorial_item_718.html"},
    { "   8.2 Accordi", NULL, "qrc:///help/tutorial_item_719.html"},
    { "   8.3 Scale", NULL, "qrc:///help/tutorial_item_720.html"},
    { "   8.4 Anelli", NULL, "qrc:///help/tutorial_item_721.html"},
    { "   8.5 Catene di anelli", NULL, "qrc:///help/tutorial_item_722.html"},
    { "9 Programmare Live", NULL, "qrc:///help/tutorial_item_723.html"},
    { "   9.1 Fondamenti di live coding", NULL, "qrc:///help/tutorial_item_724.html"},
    { "   9.2 Loop Live", NULL, "qrc:///help/tutorial_item_725.html"},
    { "   9.3 Live loop multipli", NULL, "qrc:///help/tutorial_item_726.html"},
    { "   9.4 Ticchettio", NULL, "qrc:///help/tutorial_item_727.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_728.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_729.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_730.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_731.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_732.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_733.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_734.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_735.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_736.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_737.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_738.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_739.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_740.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_741.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_742.html"},
    { "A Appencice A - Articoli MagPi", NULL, "qrc:///help/tutorial_item_743.html"},
    { "   A.1 Consigli per Sonic Pi", NULL, "qrc:///help/tutorial_item_744.html"},
    { "   A.2 Programmare Live", NULL, "qrc:///help/tutorial_item_745.html"},
    { "   A.3 Beat codificati", NULL, "qrc:///help/tutorial_item_746.html"},
    { "   A.4 Riff di synth", NULL, "qrc:///help/tutorial_item_747.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_748.html"},
    { "   A.6 Minecraft Musicale", NULL, "qrc:///help/tutorial_item_749.html"},
    { "   A.7 Battiti di Bizet", NULL, "qrc:///help/tutorial_item_750.html"},
    { "   A.8 Diventa un VJ di Minecraft", NULL, "qrc:///help/tutorial_item_751.html"},
    { "   A.9 Randomizzazione", NULL, "qrc:///help/tutorial_item_752.html"},
    { "   A.10 Controlli", NULL, "qrc:///help/tutorial_item_753.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_754.html"},
    { "   A.12 Tagliare i campioni", NULL, "qrc:///help/tutorial_item_755.html"},
    { "   A.13 Programma un Sequencer Probabilistico", NULL, "qrc:///help/tutorial_item_756.html"},
    { "   A.14 Modulazione d'ampiezza", NULL, "qrc:///help/tutorial_item_757.html"},
    { "   A.15 Cinque tecniche di live coding", NULL, "qrc:///help/tutorial_item_758.html"},
    { "   A.16 Come far pratica di live coding", NULL, "qrc:///help/tutorial_item_759.html"},
    { "   A.17 Allungare i campioni", NULL, "qrc:///help/tutorial_item_760.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_761.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_762.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_763.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_764.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_765.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_766.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_767.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_768.html"},
    { "   11.1 API di base", NULL, "qrc:///help/tutorial_item_769.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 86);

} else if (systemLocale.startsWith("fr")) {

  // language fr

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Bienvenue dans Sonic Pi", NULL, "qrc:///help/tutorial_item_770.html"},
    { "   1.1 Codage en 'live'", NULL, "qrc:///help/tutorial_item_771.html"},
    { QString::fromUtf8("   1.2 Découverte de l'interface"), NULL, "qrc:///help/tutorial_item_772.html"},
    { "   1.3 Apprendre en jouant", NULL, "qrc:///help/tutorial_item_773.html"},
    { QString::fromUtf8("2 Synthés"), NULL, "qrc:///help/tutorial_item_774.html"},
    { "   2.1 Vos premiers Beeps", NULL, "qrc:///help/tutorial_item_775.html"},
    { QString::fromUtf8("   2.2 Paramètres des synthés"), NULL, "qrc:///help/tutorial_item_776.html"},
    { QString::fromUtf8("   2.3 Changement de synthés"), NULL, "qrc:///help/tutorial_item_777.html"},
    { QString::fromUtf8("   2.4 Durées avec enveloppes"), NULL, "qrc:///help/tutorial_item_778.html"},
    { QString::fromUtf8("3 Échantillons"), NULL, "qrc:///help/tutorial_item_779.html"},
    { QString::fromUtf8("   3.1 Lecture des échantillons"), NULL, "qrc:///help/tutorial_item_780.html"},
    { QString::fromUtf8("   3.2 Paramètres des échantillons"), NULL, "qrc:///help/tutorial_item_781.html"},
    { QString::fromUtf8("   3.3 Étirement des échantillons"), NULL, "qrc:///help/tutorial_item_782.html"},
    { QString::fromUtf8("   3.4 Échantillons enveloppés"), NULL, "qrc:///help/tutorial_item_783.html"},
    { QString::fromUtf8("   3.5 Échantillons partiels"), NULL, "qrc:///help/tutorial_item_784.html"},
    { QString::fromUtf8("   3.6 Échantillons externes"), NULL, "qrc:///help/tutorial_item_785.html"},
    { "   3.7 Paquets de samples", NULL, "qrc:///help/tutorial_item_786.html"},
    { QString::fromUtf8("4 Aléatoire"), NULL, "qrc:///help/tutorial_item_787.html"},
    { "5 Structures de programmation", NULL, "qrc:///help/tutorial_item_788.html"},
    { "   5.1 Blocs", NULL, "qrc:///help/tutorial_item_789.html"},
    { QString::fromUtf8("   5.2 Itérations et boucles"), NULL, "qrc:///help/tutorial_item_790.html"},
    { "   5.3 Conditionnels", NULL, "qrc:///help/tutorial_item_791.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_792.html"},
    { "   5.5 Fonctions", NULL, "qrc:///help/tutorial_item_793.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_794.html"},
    { "   5.7 Synchronisation des threads", NULL, "qrc:///help/tutorial_item_795.html"},
    { "6 FX (effets)", NULL, "qrc:///help/tutorial_item_796.html"},
    { "   6.1 Ajout d'effets", NULL, "qrc:///help/tutorial_item_797.html"},
    { "   6.2 FX en Pratique", NULL, "qrc:///help/tutorial_item_798.html"},
    { QString::fromUtf8("7 Contrôle"), NULL, "qrc:///help/tutorial_item_799.html"},
    { QString::fromUtf8("   7.1 Contrôler des synthés en cours de jeu"), NULL, "qrc:///help/tutorial_item_800.html"},
    { QString::fromUtf8("   7.2 Contrôle des effets (FX)"), NULL, "qrc:///help/tutorial_item_801.html"},
    { QString::fromUtf8("   7.3 Paramètres à curseur glissant"), NULL, "qrc:///help/tutorial_item_802.html"},
    { QString::fromUtf8("8 Structures de données"), NULL, "qrc:///help/tutorial_item_803.html"},
    { "   8.1 Listes", NULL, "qrc:///help/tutorial_item_804.html"},
    { "   8.2 Accords", NULL, "qrc:///help/tutorial_item_805.html"},
    { "   8.3 Gammes", NULL, "qrc:///help/tutorial_item_806.html"},
    { "   8.4 Anneaux", NULL, "qrc:///help/tutorial_item_807.html"},
    { QString::fromUtf8("   8.5 Chaînes d'anneaux"), NULL, "qrc:///help/tutorial_item_808.html"},
    { "9 Codage en direct", NULL, "qrc:///help/tutorial_item_809.html"},
    { "   9.1 Fondamentaux du Codage en direct", NULL, "qrc:///help/tutorial_item_810.html"},
    { "   9.2 Boucles en direct", NULL, "qrc:///help/tutorial_item_811.html"},
    { "   9.3 Boucles multiples en direct", NULL, "qrc:///help/tutorial_item_812.html"},
    { "   9.4 Avance automatique", NULL, "qrc:///help/tutorial_item_813.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_814.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_815.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_816.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_817.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_818.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_819.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_820.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_821.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_822.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_823.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_824.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_825.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_826.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_827.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_828.html"},
    { "A Appendice A - Articles MagPi", NULL, "qrc:///help/tutorial_item_829.html"},
    { "   A.1 Conseils pour Sonic Pi", NULL, "qrc:///help/tutorial_item_830.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_831.html"},
    { QString::fromUtf8("   A.3 Rythmes codés"), NULL, "qrc:///help/tutorial_item_832.html"},
    { QString::fromUtf8("   A.4 Riffs de synthés"), NULL, "qrc:///help/tutorial_item_833.html"},
    { "   A.5 Basse acide", NULL, "qrc:///help/tutorial_item_834.html"},
    { "   A.6 Minecraft musical", NULL, "qrc:///help/tutorial_item_835.html"},
    { "   A.7 Battements de Bizet", NULL, "qrc:///help/tutorial_item_836.html"},
    { "   A.8 Devenez un VJ Minecraft", NULL, "qrc:///help/tutorial_item_837.html"},
    { QString::fromUtf8("   A.9 L'aléatoire"), NULL, "qrc:///help/tutorial_item_838.html"},
    { QString::fromUtf8("   A.10 Contrôle"), NULL, "qrc:///help/tutorial_item_839.html"},
    { "   A.11 Tic tac", NULL, "qrc:///help/tutorial_item_840.html"},
    { QString::fromUtf8("   A.12 Découpe d'échantillon"), NULL, "qrc:///help/tutorial_item_841.html"},
    { QString::fromUtf8("   A.13 Coder un séquenceur probabiliste"), NULL, "qrc:///help/tutorial_item_842.html"},
    { "Amplitude", NULL, "qrc:///help/tutorial_item_843.html"},
    { "A. 15 techniques de codage en \"Live\"", NULL, "qrc:///help/tutorial_item_844.html"},
    { "   A.16 Comment pratiquer le codage en direct", NULL, "qrc:///help/tutorial_item_845.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_846.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_847.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_848.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_849.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_850.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_851.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_852.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_853.html"},
    { "   11.1 API basique", NULL, "qrc:///help/tutorial_item_854.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 85);

} else if (systemLocale.startsWith("nb")) {

  // language nb

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Velkommen til Sonic Pi", NULL, "qrc:///help/tutorial_item_855.html"},
    { QString::fromUtf8("   1.1 Koding på direkten"), NULL, "qrc:///help/tutorial_item_856.html"},
    { "   1.2 Utforskning av brukergrensesnittet", NULL, "qrc:///help/tutorial_item_857.html"},
    { QString::fromUtf8("   1.3 Læring gjennom lek"), NULL, "qrc:///help/tutorial_item_858.html"},
    { "2 Synter", NULL, "qrc:///help/tutorial_item_859.html"},
    { QString::fromUtf8("   2.1 Dine første pipelyder"), NULL, "qrc:///help/tutorial_item_860.html"},
    { "   2.2 Synth-valg", NULL, "qrc:///help/tutorial_item_861.html"},
    { "   2.3 Bytte synter", NULL, "qrc:///help/tutorial_item_862.html"},
    { "   2.4 Varighet med Envelopes", NULL, "qrc:///help/tutorial_item_863.html"},
    { "3 Sampler", NULL, "qrc:///help/tutorial_item_864.html"},
    { "   3.1 Trigge sampler", NULL, "qrc:///help/tutorial_item_865.html"},
    { "   3.2 Sampel-parametre", NULL, "qrc:///help/tutorial_item_866.html"},
    { "   3.3 Strekke Sampler", NULL, "qrc:///help/tutorial_item_867.html"},
    { "   3.4 Omslag for sampler", NULL, "qrc:///help/tutorial_item_868.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_869.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_870.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_871.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_872.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_873.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_874.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_875.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_876.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_877.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_878.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_879.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_880.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_881.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_882.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_883.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_884.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_885.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_886.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_887.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_888.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_889.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_890.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_891.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_892.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_893.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_894.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_895.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_896.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_897.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_898.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_899.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_900.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_901.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_902.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_903.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_904.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_905.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_906.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_907.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_908.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_909.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_910.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_911.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_912.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_913.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_914.html"},
    { "   A.1 Tips om Sonic Pi", NULL, "qrc:///help/tutorial_item_915.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_916.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_917.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_918.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_919.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_920.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_921.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_922.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_923.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_924.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_925.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_926.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_927.html"},
    { "   A.14 Utslagsmodulering", NULL, "qrc:///help/tutorial_item_928.html"},
    { QString::fromUtf8("   A.15 Fem teknikker for direkteoverført koding"), NULL, "qrc:///help/tutorial_item_929.html"},
    { QString::fromUtf8("   A.16 Hvordan øve på direkteoverført koding"), NULL, "qrc:///help/tutorial_item_930.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_931.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_932.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_933.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_934.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_935.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_936.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_937.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_938.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_939.html"},
    { "   11.1 Basic API", NULL, "qrc:///help/tutorial_item_940.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 86);

} else {

  // language en

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Welcome to Sonic Pi", NULL, "qrc:///help/tutorial_item_941.html"},
    { "   1.1 Live Coding", NULL, "qrc:///help/tutorial_item_942.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_943.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_944.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_945.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_946.html"},
    { "   2.2 Synth Options", NULL, "qrc:///help/tutorial_item_947.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_948.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_949.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_950.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_951.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_952.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_953.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_954.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_955.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_956.html"},
    { "   3.7 Sample Packs", NULL, "qrc:///help/tutorial_item_957.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_958.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_959.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_960.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_961.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_962.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_963.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_964.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_965.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_966.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_967.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_968.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_969.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_970.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_971.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_972.html"},
    { "   7.3 Sliding Options", NULL, "qrc:///help/tutorial_item_973.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_974.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_975.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_976.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_977.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_978.html"},
    { "   8.5 Ring Chains", NULL, "qrc:///help/tutorial_item_979.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_980.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_981.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_982.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_983.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_984.html"},
    { "10 Time State", NULL, "qrc:///help/tutorial_item_985.html"},
    { "   10.1 Set and Get", NULL, "qrc:///help/tutorial_item_986.html"},
    { "   10.2 Sync", NULL, "qrc:///help/tutorial_item_987.html"},
    { "   10.3 Pattern Matching", NULL, "qrc:///help/tutorial_item_988.html"},
    { "11 MIDI", NULL, "qrc:///help/tutorial_item_989.html"},
    { "   11.1 MIDI In", NULL, "qrc:///help/tutorial_item_990.html"},
    { "   11.2 MIDI Out", NULL, "qrc:///help/tutorial_item_991.html"},
    { "12 OSC", NULL, "qrc:///help/tutorial_item_992.html"},
    { "   12.1 Receiving OSC", NULL, "qrc:///help/tutorial_item_993.html"},
    { "   12.2 Sending OSC", NULL, "qrc:///help/tutorial_item_994.html"},
    { "13 Multichannel Audio", NULL, "qrc:///help/tutorial_item_995.html"},
    { "   13.1 Sound In", NULL, "qrc:///help/tutorial_item_996.html"},
    { "   13.2 Live Audio", NULL, "qrc:///help/tutorial_item_997.html"},
    { "   13.3 Sound Out", NULL, "qrc:///help/tutorial_item_998.html"},
    { "14 Conclusions", NULL, "qrc:///help/tutorial_item_999.html"},
    { "A Appendix A - MagPi Articles", NULL, "qrc:///help/tutorial_item_1000.html"},
    { "   A.1 Tips for Sonic Pi", NULL, "qrc:///help/tutorial_item_1001.html"},
    { "   A.2 Live Coding", NULL, "qrc:///help/tutorial_item_1002.html"},
    { "   A.3 Coded Beats", NULL, "qrc:///help/tutorial_item_1003.html"},
    { "   A.4 Synth Riffs", NULL, "qrc:///help/tutorial_item_1004.html"},
    { "   A.5 Acid Bass", NULL, "qrc:///help/tutorial_item_1005.html"},
    { "   A.6 Musical Minecraft", NULL, "qrc:///help/tutorial_item_1006.html"},
    { "   A.7 Bizet Beats", NULL, "qrc:///help/tutorial_item_1007.html"},
    { "   A.8 Become a Minecraft VJ", NULL, "qrc:///help/tutorial_item_1008.html"},
    { "   A.9 Randomisation", NULL, "qrc:///help/tutorial_item_1009.html"},
    { "   A.10 Control", NULL, "qrc:///help/tutorial_item_1010.html"},
    { "   A.11 Tick Tock", NULL, "qrc:///help/tutorial_item_1011.html"},
    { "   A.12 Sample Slicing", NULL, "qrc:///help/tutorial_item_1012.html"},
    { "   A.13 Code a Probabilistic Sequencer", NULL, "qrc:///help/tutorial_item_1013.html"},
    { "   A.14 Amplitude Modulation", NULL, "qrc:///help/tutorial_item_1014.html"},
    { "   A.15 Five Live Coding Techniques", NULL, "qrc:///help/tutorial_item_1015.html"},
    { "   A.16 How to Practice Live Coding", NULL, "qrc:///help/tutorial_item_1016.html"},
    { "   A.17 Sample Stretching", NULL, "qrc:///help/tutorial_item_1017.html"},
    { "   A.18 Sound Design - Additive Synthesis", NULL, "qrc:///help/tutorial_item_1018.html"},
    { "   A.19 Sound Design - Subtractive Synthesis", NULL, "qrc:///help/tutorial_item_1019.html"},
    { "B Essential Knowledge", NULL, "qrc:///help/tutorial_item_1020.html"},
    { "   B.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_1021.html"},
    { "   B.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_1022.html"},
    { "   B.3 Sharing", NULL, "qrc:///help/tutorial_item_1023.html"},
    { "   B.4 Performing", NULL, "qrc:///help/tutorial_item_1024.html"},
    { "C Minecraft Pi", NULL, "qrc:///help/tutorial_item_1025.html"},
    { "   11.1 Basic API", NULL, "qrc:///help/tutorial_item_1026.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 86);

}

  // examples info
  struct help_page examplesHelpPages[] = {
    { "[Apprentice] Haunted", NULL, "qrc:///help/examples_item_1027.html"},
    { "[Illusionist] Ambient Experiment", NULL, "qrc:///help/examples_item_1028.html"},
    { "[Illusionist] Ocean", NULL, "qrc:///help/examples_item_1029.html"},
    { "[Illusionist] Reich Phase", NULL, "qrc:///help/examples_item_1030.html"},
    { "[Illusionist] Fm Noise", NULL, "qrc:///help/examples_item_1031.html"},
    { "[Illusionist] Chord Inversions", NULL, "qrc:///help/examples_item_1032.html"},
    { "[Illusionist] Jungle", NULL, "qrc:///help/examples_item_1033.html"},
    { "[Illusionist] Filtered Dnb", NULL, "qrc:///help/examples_item_1034.html"},
    { "[Magician] Tron Bike", NULL, "qrc:///help/examples_item_1035.html"},
    { "[Magician] Idm Breakbeat", NULL, "qrc:///help/examples_item_1036.html"},
    { "[Magician] Compus Beats", NULL, "qrc:///help/examples_item_1037.html"},
    { "[Magician] Echo Drama", NULL, "qrc:///help/examples_item_1038.html"},
    { "[Magician] Ambient", NULL, "qrc:///help/examples_item_1039.html"},
    { "[Magician] Wob Rhyth", NULL, "qrc:///help/examples_item_1040.html"},
    { "[Magician] Acid", NULL, "qrc:///help/examples_item_1041.html"},
    { "[Sorcerer] Bach", NULL, "qrc:///help/examples_item_1042.html"},
    { "[Sorcerer] Monday Blues", NULL, "qrc:///help/examples_item_1043.html"},
    { "[Sorcerer] Driving Pulse", NULL, "qrc:///help/examples_item_1044.html"},
    { "[Sorcerer] Square Skit", NULL, "qrc:///help/examples_item_1045.html"},
    { "[Sorcerer] Rerezzed", NULL, "qrc:///help/examples_item_1046.html"},
    { "[Wizard] Blimp Zones", NULL, "qrc:///help/examples_item_1047.html"},
    { "[Wizard] Shufflit", NULL, "qrc:///help/examples_item_1048.html"},
    { "[Wizard] Time Machine", NULL, "qrc:///help/examples_item_1049.html"},
    { "[Wizard] Blip Rhythm", NULL, "qrc:///help/examples_item_1050.html"},
    { "[Wizard] Tilburg 2", NULL, "qrc:///help/examples_item_1051.html"},
    { "[Algomancer] Sonic Dreams", NULL, "qrc:///help/examples_item_1052.html"},
    { "[Algomancer] Cloud Beat", NULL, "qrc:///help/examples_item_1053.html"},
  };

  addHelpPage(createHelpTab(tr("Examples")), examplesHelpPages, 27);


  // synths info
  struct help_page synthsHelpPages[] = {
    { "Beep", "beep", "qrc:///help/synths_item_1054.html"},
    { "Blade", "blade", "qrc:///help/synths_item_1055.html"},
    { "Bnoise", "bnoise", "qrc:///help/synths_item_1056.html"},
    { "Chipbass", "chipbass", "qrc:///help/synths_item_1057.html"},
    { "Chiplead", "chiplead", "qrc:///help/synths_item_1058.html"},
    { "Chipnoise", "chipnoise", "qrc:///help/synths_item_1059.html"},
    { "Cnoise", "cnoise", "qrc:///help/synths_item_1060.html"},
    { "Dark Ambience", "dark_ambience", "qrc:///help/synths_item_1061.html"},
    { "Dpulse", "dpulse", "qrc:///help/synths_item_1062.html"},
    { "Dsaw", "dsaw", "qrc:///help/synths_item_1063.html"},
    { "Dtri", "dtri", "qrc:///help/synths_item_1064.html"},
    { "Dull Bell", "dull_bell", "qrc:///help/synths_item_1065.html"},
    { "Fm", "fm", "qrc:///help/synths_item_1066.html"},
    { "Gnoise", "gnoise", "qrc:///help/synths_item_1067.html"},
    { "Growl", "growl", "qrc:///help/synths_item_1068.html"},
    { "Hollow", "hollow", "qrc:///help/synths_item_1069.html"},
    { "Hoover", "hoover", "qrc:///help/synths_item_1070.html"},
    { "Mod Beep", "mod_beep", "qrc:///help/synths_item_1071.html"},
    { "Mod Dsaw", "mod_dsaw", "qrc:///help/synths_item_1072.html"},
    { "Mod Fm", "mod_fm", "qrc:///help/synths_item_1073.html"},
    { "Mod Pulse", "mod_pulse", "qrc:///help/synths_item_1074.html"},
    { "Mod Saw", "mod_saw", "qrc:///help/synths_item_1075.html"},
    { "Mod Sine", "mod_sine", "qrc:///help/synths_item_1076.html"},
    { "Mod Tri", "mod_tri", "qrc:///help/synths_item_1077.html"},
    { "Noise", "noise", "qrc:///help/synths_item_1078.html"},
    { "Piano", "piano", "qrc:///help/synths_item_1079.html"},
    { "Pluck", "pluck", "qrc:///help/synths_item_1080.html"},
    { "Pnoise", "pnoise", "qrc:///help/synths_item_1081.html"},
    { "Pretty Bell", "pretty_bell", "qrc:///help/synths_item_1082.html"},
    { "Prophet", "prophet", "qrc:///help/synths_item_1083.html"},
    { "Pulse", "pulse", "qrc:///help/synths_item_1084.html"},
    { "Saw", "saw", "qrc:///help/synths_item_1085.html"},
    { "Sine", "sine", "qrc:///help/synths_item_1086.html"},
    { "Sound In", "sound_in", "qrc:///help/synths_item_1087.html"},
    { "Sound In Stereo", "sound_in_stereo", "qrc:///help/synths_item_1088.html"},
    { "Square", "square", "qrc:///help/synths_item_1089.html"},
    { "Subpulse", "subpulse", "qrc:///help/synths_item_1090.html"},
    { "Supersaw", "supersaw", "qrc:///help/synths_item_1091.html"},
    { "Tb303", "tb303", "qrc:///help/synths_item_1092.html"},
    { "Tech Saws", "tech_saws", "qrc:///help/synths_item_1093.html"},
    { "Tri", "tri", "qrc:///help/synths_item_1094.html"},
    { "Zawa", "zawa", "qrc:///help/synths_item_1095.html"},
  };

  addHelpPage(createHelpTab(tr("Synths")), synthsHelpPages, 42);


  // fx info
  struct help_page fxHelpPages[] = {
    { "Band Eq", "band_eq", "qrc:///help/fx_item_1096.html"},
    { "Bitcrusher", "bitcrusher", "qrc:///help/fx_item_1097.html"},
    { "BPF", "bpf", "qrc:///help/fx_item_1098.html"},
    { "Compressor", "compressor", "qrc:///help/fx_item_1099.html"},
    { "Distortion", "distortion", "qrc:///help/fx_item_1100.html"},
    { "Echo", "echo", "qrc:///help/fx_item_1101.html"},
    { "Eq", "eq", "qrc:///help/fx_item_1102.html"},
    { "Flanger", "flanger", "qrc:///help/fx_item_1103.html"},
    { "Gverb", "gverb", "qrc:///help/fx_item_1104.html"},
    { "HPF", "hpf", "qrc:///help/fx_item_1105.html"},
    { "Ixi Techno", "ixi_techno", "qrc:///help/fx_item_1106.html"},
    { "Krush", "krush", "qrc:///help/fx_item_1107.html"},
    { "Level", "level", "qrc:///help/fx_item_1108.html"},
    { "LPF", "lpf", "qrc:///help/fx_item_1109.html"},
    { "Mono", "mono", "qrc:///help/fx_item_1110.html"},
    { "NBPF", "nbpf", "qrc:///help/fx_item_1111.html"},
    { "NHPF", "nhpf", "qrc:///help/fx_item_1112.html"},
    { "NLPF", "nlpf", "qrc:///help/fx_item_1113.html"},
    { "Normaliser", "normaliser", "qrc:///help/fx_item_1114.html"},
    { "NRBPF", "nrbpf", "qrc:///help/fx_item_1115.html"},
    { "NRHPF", "nrhpf", "qrc:///help/fx_item_1116.html"},
    { "NRLPF", "nrlpf", "qrc:///help/fx_item_1117.html"},
    { "Octaver", "octaver", "qrc:///help/fx_item_1118.html"},
    { "Pan", "pan", "qrc:///help/fx_item_1119.html"},
    { "Panslicer", "panslicer", "qrc:///help/fx_item_1120.html"},
    { "Pitch Shift", "pitch_shift", "qrc:///help/fx_item_1121.html"},
    { "RBPF", "rbpf", "qrc:///help/fx_item_1122.html"},
    { "Record", "record", "qrc:///help/fx_item_1123.html"},
    { "Reverb", "reverb", "qrc:///help/fx_item_1124.html"},
    { "RHPF", "rhpf", "qrc:///help/fx_item_1125.html"},
    { "Ring Mod", "ring_mod", "qrc:///help/fx_item_1126.html"},
    { "RLPF", "rlpf", "qrc:///help/fx_item_1127.html"},
    { "Slicer", "slicer", "qrc:///help/fx_item_1128.html"},
    { "Sound Out", "sound_out", "qrc:///help/fx_item_1129.html"},
    { "Sound Out Stereo", "sound_out_stereo", "qrc:///help/fx_item_1130.html"},
    { "Tanh", "tanh", "qrc:///help/fx_item_1131.html"},
    { "Tremolo", "tremolo", "qrc:///help/fx_item_1132.html"},
    { "Vowel", "vowel", "qrc:///help/fx_item_1133.html"},
    { "Whammy", "whammy", "qrc:///help/fx_item_1134.html"},
    { "Wobble", "wobble", "qrc:///help/fx_item_1135.html"},
  };

  addHelpPage(createHelpTab(tr("Fx")), fxHelpPages, 40);


  // samples info
  struct help_page samplesHelpPages[] = {
    { "Ambient Sounds", NULL, "qrc:///help/samples_item_1136.html"},
    { "Bass Drums", NULL, "qrc:///help/samples_item_1137.html"},
    { "Bass Sounds", NULL, "qrc:///help/samples_item_1138.html"},
    { "Drum Sounds", NULL, "qrc:///help/samples_item_1139.html"},
    { "Electric Sounds", NULL, "qrc:///help/samples_item_1140.html"},
    { "Miscellaneous Sounds", NULL, "qrc:///help/samples_item_1141.html"},
    { "Percussive Sounds", NULL, "qrc:///help/samples_item_1142.html"},
    { "Snare Drums", NULL, "qrc:///help/samples_item_1143.html"},
    { "Sounds featuring guitars", NULL, "qrc:///help/samples_item_1144.html"},
    { "Sounds for Looping", NULL, "qrc:///help/samples_item_1145.html"},
    { "Sounds of a Tabla Drum", NULL, "qrc:///help/samples_item_1146.html"},
    { "Vinyl sounds", NULL, "qrc:///help/samples_item_1147.html"},
  };

  addHelpPage(createHelpTab(tr("Samples")), samplesHelpPages, 12);


  // lang info
  struct help_page langHelpPages[] = {
    { "all_sample_names", "all_sample_names", "qrc:///help/lang_item_1148.html"},
    { "assert", "assert", "qrc:///help/lang_item_1149.html"},
    { "assert_equal", "assert_equal", "qrc:///help/lang_item_1150.html"},
    { "assert_error", "assert_error", "qrc:///help/lang_item_1151.html"},
    { "assert_similar", "assert_similar", "qrc:///help/lang_item_1152.html"},
    { "at", "at", "qrc:///help/lang_item_1153.html"},
    { "beat", "beat", "qrc:///help/lang_item_1154.html"},
    { "block_duration", "block_duration", "qrc:///help/lang_item_1155.html"},
    { "block_slept?", "block_slept?", "qrc:///help/lang_item_1156.html"},
    { "bools", "bools", "qrc:///help/lang_item_1157.html"},
    { "bt", "bt", "qrc:///help/lang_item_1158.html"},
    { "buffer", "buffer", "qrc:///help/lang_item_1159.html"},
    { "choose", "choose", "qrc:///help/lang_item_1160.html"},
    { "chord", "chord", "qrc:///help/lang_item_1161.html"},
    { "chord_degree", "chord_degree", "qrc:///help/lang_item_1162.html"},
    { "chord_invert", "chord_invert", "qrc:///help/lang_item_1163.html"},
    { "chord_names", "chord_names", "qrc:///help/lang_item_1164.html"},
    { "clear", "clear", "qrc:///help/lang_item_1165.html"},
    { "comment", "comment", "qrc:///help/lang_item_1166.html"},
    { "control", "control", "qrc:///help/lang_item_1167.html"},
    { "cue", "cue", "qrc:///help/lang_item_1168.html"},
    { "current_arg_checks", "current_arg_checks", "qrc:///help/lang_item_1169.html"},
    { "current_beat_duration", "current_beat_duration", "qrc:///help/lang_item_1170.html"},
    { "current_bpm", "current_bpm", "qrc:///help/lang_item_1171.html"},
    { "current_cent_tuning", "current_cent_tuning", "qrc:///help/lang_item_1172.html"},
    { "current_debug", "current_debug", "qrc:///help/lang_item_1173.html"},
    { "current_midi_defaults", "current_midi_defaults", "qrc:///help/lang_item_1174.html"},
    { "current_octave", "current_octave", "qrc:///help/lang_item_1175.html"},
    { "current_random_seed", "current_random_seed", "qrc:///help/lang_item_1176.html"},
    { "current_sample_defaults", "current_sample_defaults", "qrc:///help/lang_item_1177.html"},
    { "current_sched_ahead_time", "current_sched_ahead_time", "qrc:///help/lang_item_1178.html"},
    { "current_synth", "current_synth", "qrc:///help/lang_item_1179.html"},
    { "current_synth_defaults", "current_synth_defaults", "qrc:///help/lang_item_1180.html"},
    { "current_time", "current_time", "qrc:///help/lang_item_1181.html"},
    { "current_transpose", "current_transpose", "qrc:///help/lang_item_1182.html"},
    { "current_volume", "current_volume", "qrc:///help/lang_item_1183.html"},
    { "dec", "dec", "qrc:///help/lang_item_1184.html"},
    { "define", "define", "qrc:///help/lang_item_1185.html"},
    { "defonce", "defonce", "qrc:///help/lang_item_1186.html"},
    { "degree", "degree", "qrc:///help/lang_item_1187.html"},
    { "density", "density", "qrc:///help/lang_item_1188.html"},
    { "dice", "dice", "qrc:///help/lang_item_1189.html"},
    { "doubles", "doubles", "qrc:///help/lang_item_1190.html"},
    { "factor?", "factor?", "qrc:///help/lang_item_1191.html"},
    { "fx_names", "fx_names", "qrc:///help/lang_item_1192.html"},
    { "get", "get", "qrc:///help/lang_item_1193.html"},
    { "halves", "halves", "qrc:///help/lang_item_1194.html"},
    { "hz_to_midi", "hz_to_midi", "qrc:///help/lang_item_1195.html"},
    { "in_thread", "in_thread", "qrc:///help/lang_item_1196.html"},
    { "inc", "inc", "qrc:///help/lang_item_1197.html"},
    { "kill", "kill", "qrc:///help/lang_item_1198.html"},
    { "knit", "knit", "qrc:///help/lang_item_1199.html"},
    { "line", "line", "qrc:///help/lang_item_1200.html"},
    { "live_audio", "live_audio", "qrc:///help/lang_item_1201.html"},
    { "live_loop", "live_loop", "qrc:///help/lang_item_1202.html"},
    { "load_buffer", "load_buffer", "qrc:///help/lang_item_1203.html"},
    { "load_example", "load_example", "qrc:///help/lang_item_1204.html"},
    { "load_sample", "load_sample", "qrc:///help/lang_item_1205.html"},
    { "load_samples", "load_samples", "qrc:///help/lang_item_1206.html"},
    { "load_synthdefs", "load_synthdefs", "qrc:///help/lang_item_1207.html"},
    { "look", "look", "qrc:///help/lang_item_1208.html"},
    { "loop", "loop", "qrc:///help/lang_item_1209.html"},
    { "map", "map", "qrc:///help/lang_item_1210.html"},
    { "mc_block_id", "mc_block_id", "qrc:///help/lang_item_1211.html"},
    { "mc_block_ids", "mc_block_ids", "qrc:///help/lang_item_1212.html"},
    { "mc_block_name", "mc_block_name", "qrc:///help/lang_item_1213.html"},
    { "mc_block_names", "mc_block_names", "qrc:///help/lang_item_1214.html"},
    { "mc_camera_fixed", "mc_camera_fixed", "qrc:///help/lang_item_1215.html"},
    { "mc_camera_normal", "mc_camera_normal", "qrc:///help/lang_item_1216.html"},
    { "mc_camera_set_location", "mc_camera_set_location", "qrc:///help/lang_item_1217.html"},
    { "mc_camera_third_person", "mc_camera_third_person", "qrc:///help/lang_item_1218.html"},
    { "mc_chat_post", "mc_chat_post", "qrc:///help/lang_item_1219.html"},
    { "mc_checkpoint_restore", "mc_checkpoint_restore", "qrc:///help/lang_item_1220.html"},
    { "mc_checkpoint_save", "mc_checkpoint_save", "qrc:///help/lang_item_1221.html"},
    { "mc_get_block", "mc_get_block", "qrc:///help/lang_item_1222.html"},
    { "mc_get_height", "mc_get_height", "qrc:///help/lang_item_1223.html"},
    { "mc_get_pos", "mc_get_pos", "qrc:///help/lang_item_1224.html"},
    { "mc_get_tile", "mc_get_tile", "qrc:///help/lang_item_1225.html"},
    { "mc_ground_height", "mc_ground_height", "qrc:///help/lang_item_1226.html"},
    { "mc_location", "mc_location", "qrc:///help/lang_item_1227.html"},
    { "mc_message", "mc_message", "qrc:///help/lang_item_1228.html"},
    { "mc_set_area", "mc_set_area", "qrc:///help/lang_item_1229.html"},
    { "mc_set_block", "mc_set_block", "qrc:///help/lang_item_1230.html"},
    { "mc_set_pos", "mc_set_pos", "qrc:///help/lang_item_1231.html"},
    { "mc_set_tile", "mc_set_tile", "qrc:///help/lang_item_1232.html"},
    { "mc_surface_teleport", "mc_surface_teleport", "qrc:///help/lang_item_1233.html"},
    { "mc_teleport", "mc_teleport", "qrc:///help/lang_item_1234.html"},
    { "midi", "midi", "qrc:///help/lang_item_1235.html"},
    { "midi_all_notes_off", "midi_all_notes_off", "qrc:///help/lang_item_1236.html"},
    { "midi_cc", "midi_cc", "qrc:///help/lang_item_1237.html"},
    { "midi_channel_pressure", "midi_channel_pressure", "qrc:///help/lang_item_1238.html"},
    { "midi_clock_beat", "midi_clock_beat", "qrc:///help/lang_item_1239.html"},
    { "midi_clock_tick", "midi_clock_tick", "qrc:///help/lang_item_1240.html"},
    { "midi_continue", "midi_continue", "qrc:///help/lang_item_1241.html"},
    { "midi_local_control_off", "midi_local_control_off", "qrc:///help/lang_item_1242.html"},
    { "midi_local_control_on", "midi_local_control_on", "qrc:///help/lang_item_1243.html"},
    { "midi_mode", "midi_mode", "qrc:///help/lang_item_1244.html"},
    { "midi_note_off", "midi_note_off", "qrc:///help/lang_item_1245.html"},
    { "midi_note_on", "midi_note_on", "qrc:///help/lang_item_1246.html"},
    { "midi_notes", "midi_notes", "qrc:///help/lang_item_1247.html"},
    { "midi_pitch_bend", "midi_pitch_bend", "qrc:///help/lang_item_1248.html"},
    { "midi_poly_pressure", "midi_poly_pressure", "qrc:///help/lang_item_1249.html"},
    { "midi_raw", "midi_raw", "qrc:///help/lang_item_1250.html"},
    { "midi_reset", "midi_reset", "qrc:///help/lang_item_1251.html"},
    { "midi_sound_off", "midi_sound_off", "qrc:///help/lang_item_1252.html"},
    { "midi_start", "midi_start", "qrc:///help/lang_item_1253.html"},
    { "midi_stop", "midi_stop", "qrc:///help/lang_item_1254.html"},
    { "midi_to_hz", "midi_to_hz", "qrc:///help/lang_item_1255.html"},
    { "ndefine", "ndefine", "qrc:///help/lang_item_1256.html"},
    { "note", "note", "qrc:///help/lang_item_1257.html"},
    { "note_info", "note_info", "qrc:///help/lang_item_1258.html"},
    { "note_range", "note_range", "qrc:///help/lang_item_1259.html"},
    { "octs", "octs", "qrc:///help/lang_item_1260.html"},
    { "on", "on", "qrc:///help/lang_item_1261.html"},
    { "one_in", "one_in", "qrc:///help/lang_item_1262.html"},
    { "osc", "osc", "qrc:///help/lang_item_1263.html"},
    { "osc_send", "osc_send", "qrc:///help/lang_item_1264.html"},
    { "pick", "pick", "qrc:///help/lang_item_1265.html"},
    { "pitch_to_ratio", "pitch_to_ratio", "qrc:///help/lang_item_1266.html"},
    { "play", "play", "qrc:///help/lang_item_1267.html"},
    { "play_chord", "play_chord", "qrc:///help/lang_item_1268.html"},
    { "play_pattern", "play_pattern", "qrc:///help/lang_item_1269.html"},
    { "play_pattern_timed", "play_pattern_timed", "qrc:///help/lang_item_1270.html"},
    { "print", "print", "qrc:///help/lang_item_1271.html"},
    { "puts", "puts", "qrc:///help/lang_item_1272.html"},
    { "quantise", "quantise", "qrc:///help/lang_item_1273.html"},
    { "ramp", "ramp", "qrc:///help/lang_item_1274.html"},
    { "rand", "rand", "qrc:///help/lang_item_1275.html"},
    { "rand_back", "rand_back", "qrc:///help/lang_item_1276.html"},
    { "rand_i", "rand_i", "qrc:///help/lang_item_1277.html"},
    { "rand_i_look", "rand_i_look", "qrc:///help/lang_item_1278.html"},
    { "rand_look", "rand_look", "qrc:///help/lang_item_1279.html"},
    { "rand_reset", "rand_reset", "qrc:///help/lang_item_1280.html"},
    { "rand_skip", "rand_skip", "qrc:///help/lang_item_1281.html"},
    { "range", "range", "qrc:///help/lang_item_1282.html"},
    { "ratio_to_pitch", "ratio_to_pitch", "qrc:///help/lang_item_1283.html"},
    { "rdist", "rdist", "qrc:///help/lang_item_1284.html"},
    { "reset", "reset", "qrc:///help/lang_item_1285.html"},
    { "reset_mixer!", "reset_mixer!", "qrc:///help/lang_item_1286.html"},
    { "rest?", "rest?", "qrc:///help/lang_item_1287.html"},
    { "ring", "ring", "qrc:///help/lang_item_1288.html"},
    { "rrand", "rrand", "qrc:///help/lang_item_1289.html"},
    { "rrand_i", "rrand_i", "qrc:///help/lang_item_1290.html"},
    { "rt", "rt", "qrc:///help/lang_item_1291.html"},
    { "run_code", "run_code", "qrc:///help/lang_item_1292.html"},
    { "run_file", "run_file", "qrc:///help/lang_item_1293.html"},
    { "sample", "sample", "qrc:///help/lang_item_1294.html"},
    { "sample_buffer", "sample_buffer", "qrc:///help/lang_item_1295.html"},
    { "sample_duration", "sample_duration", "qrc:///help/lang_item_1296.html"},
    { "sample_free", "sample_free", "qrc:///help/lang_item_1297.html"},
    { "sample_free_all", "sample_free_all", "qrc:///help/lang_item_1298.html"},
    { "sample_groups", "sample_groups", "qrc:///help/lang_item_1299.html"},
    { "sample_info", "sample_info", "qrc:///help/lang_item_1300.html"},
    { "sample_loaded?", "sample_loaded?", "qrc:///help/lang_item_1301.html"},
    { "sample_names", "sample_names", "qrc:///help/lang_item_1302.html"},
    { "sample_paths", "sample_paths", "qrc:///help/lang_item_1303.html"},
    { "scale", "scale", "qrc:///help/lang_item_1304.html"},
    { "scale_names", "scale_names", "qrc:///help/lang_item_1305.html"},
    { "scsynth_info", "scsynth_info", "qrc:///help/lang_item_1306.html"},
    { "set_cent_tuning!", "set_cent_tuning!", "qrc:///help/lang_item_1307.html"},
    { "set_control_delta!", "set_control_delta!", "qrc:///help/lang_item_1308.html"},
    { "set_mixer_control!", "set_mixer_control!", "qrc:///help/lang_item_1309.html"},
    { "set_recording_bit_depth!", "set_recording_bit_depth!", "qrc:///help/lang_item_1310.html"},
    { "set_sched_ahead_time!", "set_sched_ahead_time!", "qrc:///help/lang_item_1311.html"},
    { "set_volume!", "set_volume!", "qrc:///help/lang_item_1312.html"},
    { "shuffle", "shuffle", "qrc:///help/lang_item_1313.html"},
    { "sleep", "sleep", "qrc:///help/lang_item_1314.html"},
    { "spark", "spark", "qrc:///help/lang_item_1315.html"},
    { "spark_graph", "spark_graph", "qrc:///help/lang_item_1316.html"},
    { "spread", "spread", "qrc:///help/lang_item_1317.html"},
    { "status", "status", "qrc:///help/lang_item_1318.html"},
    { "stop", "stop", "qrc:///help/lang_item_1319.html"},
    { "stretch", "stretch", "qrc:///help/lang_item_1320.html"},
    { "sync", "sync", "qrc:///help/lang_item_1321.html"},
    { "sync_bpm", "sync_bpm", "qrc:///help/lang_item_1322.html"},
    { "synth", "synth", "qrc:///help/lang_item_1323.html"},
    { "synth_names", "synth_names", "qrc:///help/lang_item_1324.html"},
    { "tick", "tick", "qrc:///help/lang_item_1325.html"},
    { "tick_reset", "tick_reset", "qrc:///help/lang_item_1326.html"},
    { "tick_reset_all", "tick_reset_all", "qrc:///help/lang_item_1327.html"},
    { "tick_set", "tick_set", "qrc:///help/lang_item_1328.html"},
    { "time_warp", "time_warp", "qrc:///help/lang_item_1329.html"},
    { "uncomment", "uncomment", "qrc:///help/lang_item_1330.html"},
    { "use_arg_bpm_scaling", "use_arg_bpm_scaling", "qrc:///help/lang_item_1331.html"},
    { "use_arg_checks", "use_arg_checks", "qrc:///help/lang_item_1332.html"},
    { "use_bpm", "use_bpm", "qrc:///help/lang_item_1333.html"},
    { "use_bpm_mul", "use_bpm_mul", "qrc:///help/lang_item_1334.html"},
    { "use_cent_tuning", "use_cent_tuning", "qrc:///help/lang_item_1335.html"},
    { "use_cue_logging", "use_cue_logging", "qrc:///help/lang_item_1336.html"},
    { "use_debug", "use_debug", "qrc:///help/lang_item_1337.html"},
    { "use_merged_midi_defaults", "use_merged_midi_defaults", "qrc:///help/lang_item_1338.html"},
    { "use_merged_sample_defaults", "use_merged_sample_defaults", "qrc:///help/lang_item_1339.html"},
    { "use_merged_synth_defaults", "use_merged_synth_defaults", "qrc:///help/lang_item_1340.html"},
    { "use_midi_defaults", "use_midi_defaults", "qrc:///help/lang_item_1341.html"},
    { "use_midi_logging", "use_midi_logging", "qrc:///help/lang_item_1342.html"},
    { "use_octave", "use_octave", "qrc:///help/lang_item_1343.html"},
    { "use_osc", "use_osc", "qrc:///help/lang_item_1344.html"},
    { "use_osc_logging", "use_osc_logging", "qrc:///help/lang_item_1345.html"},
    { "use_random_seed", "use_random_seed", "qrc:///help/lang_item_1346.html"},
    { "use_real_time", "use_real_time", "qrc:///help/lang_item_1347.html"},
    { "use_sample_bpm", "use_sample_bpm", "qrc:///help/lang_item_1348.html"},
    { "use_sample_defaults", "use_sample_defaults", "qrc:///help/lang_item_1349.html"},
    { "use_sched_ahead_time", "use_sched_ahead_time", "qrc:///help/lang_item_1350.html"},
    { "use_synth", "use_synth", "qrc:///help/lang_item_1351.html"},
    { "use_synth_defaults", "use_synth_defaults", "qrc:///help/lang_item_1352.html"},
    { "use_timing_guarantees", "use_timing_guarantees", "qrc:///help/lang_item_1353.html"},
    { "use_transpose", "use_transpose", "qrc:///help/lang_item_1354.html"},
    { "use_tuning", "use_tuning", "qrc:///help/lang_item_1355.html"},
    { "vector", "vector", "qrc:///help/lang_item_1356.html"},
    { "version", "version", "qrc:///help/lang_item_1357.html"},
    { "vt", "vt", "qrc:///help/lang_item_1358.html"},
    { "wait", "wait", "qrc:///help/lang_item_1359.html"},
    { "with_arg_bpm_scaling", "with_arg_bpm_scaling", "qrc:///help/lang_item_1360.html"},
    { "with_arg_checks", "with_arg_checks", "qrc:///help/lang_item_1361.html"},
    { "with_bpm", "with_bpm", "qrc:///help/lang_item_1362.html"},
    { "with_bpm_mul", "with_bpm_mul", "qrc:///help/lang_item_1363.html"},
    { "with_cent_tuning", "with_cent_tuning", "qrc:///help/lang_item_1364.html"},
    { "with_cue_logging", "with_cue_logging", "qrc:///help/lang_item_1365.html"},
    { "with_debug", "with_debug", "qrc:///help/lang_item_1366.html"},
    { "with_fx", "with_fx", "qrc:///help/lang_item_1367.html"},
    { "with_merged_midi_defaults", "with_merged_midi_defaults", "qrc:///help/lang_item_1368.html"},
    { "with_merged_sample_defaults", "with_merged_sample_defaults", "qrc:///help/lang_item_1369.html"},
    { "with_merged_synth_defaults", "with_merged_synth_defaults", "qrc:///help/lang_item_1370.html"},
    { "with_midi_defaults", "with_midi_defaults", "qrc:///help/lang_item_1371.html"},
    { "with_midi_logging", "with_midi_logging", "qrc:///help/lang_item_1372.html"},
    { "with_octave", "with_octave", "qrc:///help/lang_item_1373.html"},
    { "with_osc", "with_osc", "qrc:///help/lang_item_1374.html"},
    { "with_osc_logging", "with_osc_logging", "qrc:///help/lang_item_1375.html"},
    { "with_random_seed", "with_random_seed", "qrc:///help/lang_item_1376.html"},
    { "with_real_time", "with_real_time", "qrc:///help/lang_item_1377.html"},
    { "with_sample_bpm", "with_sample_bpm", "qrc:///help/lang_item_1378.html"},
    { "with_sample_defaults", "with_sample_defaults", "qrc:///help/lang_item_1379.html"},
    { "with_sched_ahead_time", "with_sched_ahead_time", "qrc:///help/lang_item_1380.html"},
    { "with_swing", "with_swing", "qrc:///help/lang_item_1381.html"},
    { "with_synth", "with_synth", "qrc:///help/lang_item_1382.html"},
    { "with_synth_defaults", "with_synth_defaults", "qrc:///help/lang_item_1383.html"},
    { "with_timing_guarantees", "with_timing_guarantees", "qrc:///help/lang_item_1384.html"},
    { "with_transpose", "with_transpose", "qrc:///help/lang_item_1385.html"},
    { "with_tuning", "with_tuning", "qrc:///help/lang_item_1386.html"},
  };

  addHelpPage(createHelpTab(tr("Lang")), langHelpPages, 239);

  // FX arguments for autocompletion
  QStringList fxtmp;
  // fx :bitcrusher
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "sample_rate:" << "bits:" << "cutoff:" ;
  autocomplete->addFXArgs(":bitcrusher", fxtmp);

  // fx :krush
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "gain:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":krush", fxtmp);

  // fx :reverb
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "room:" << "damp:" ;
  autocomplete->addFXArgs(":reverb", fxtmp);

  // fx :gverb
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "spread:" << "damp:" << "pre_damp:" << "dry:" << "room:" << "release:" << "ref_level:" << "tail_level:" ;
  autocomplete->addFXArgs(":gverb", fxtmp);

  // fx :level
  fxtmp.clear(); fxtmp << "amp:" ;
  autocomplete->addFXArgs(":level", fxtmp);

  // fx :mono
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "pan:" ;
  autocomplete->addFXArgs(":mono", fxtmp);

  // fx :echo
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "decay:" << "max_phase:" ;
  autocomplete->addFXArgs(":echo", fxtmp);

  // fx :slicer
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "amp_min:" << "amp_max:" << "pulse_width:" << "phase_offset:" << "wave:" << "invert_wave:" << "probability:" << "prob_pos:" << "seed:" << "smooth:" << "smooth_up:" << "smooth_down:" ;
  autocomplete->addFXArgs(":slicer", fxtmp);

  // fx :panslicer
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "amp_min:" << "amp_max:" << "pulse_width:" << "phase_offset:" << "wave:" << "invert_wave:" << "probability:" << "prob_pos:" << "seed:" << "smooth:" << "smooth_up:" << "smooth_down:" << "pan_min:" << "pan_max:" ;
  autocomplete->addFXArgs(":panslicer", fxtmp);

  // fx :wobble
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "cutoff_min:" << "cutoff_max:" << "res:" << "phase_offset:" << "wave:" << "invert_wave:" << "pulse_width:" << "filter:" << "probability:" << "prob_pos:" << "seed:" << "smooth:" << "smooth_up:" << "smooth_down:" ;
  autocomplete->addFXArgs(":wobble", fxtmp);

  // fx :ixi_techno
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "phase_offset:" << "cutoff_min:" << "cutoff_max:" << "res:" ;
  autocomplete->addFXArgs(":ixi_techno", fxtmp);

  // fx :compressor
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "threshold:" << "clamp_time:" << "slope_above:" << "slope_below:" << "relax_time:" ;
  autocomplete->addFXArgs(":compressor", fxtmp);

  // fx :whammy
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "transpose:" << "max_delay_time:" << "deltime:" << "grainsize:" ;
  autocomplete->addFXArgs(":whammy", fxtmp);

  // fx :rlpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":rlpf", fxtmp);

  // fx :nrlpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":nrlpf", fxtmp);

  // fx :rhpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":rhpf", fxtmp);

  // fx :nrhpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":nrhpf", fxtmp);

  // fx :hpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" ;
  autocomplete->addFXArgs(":hpf", fxtmp);

  // fx :nhpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" ;
  autocomplete->addFXArgs(":nhpf", fxtmp);

  // fx :lpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" ;
  autocomplete->addFXArgs(":lpf", fxtmp);

  // fx :nlpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "cutoff:" ;
  autocomplete->addFXArgs(":nlpf", fxtmp);

  // fx :normaliser
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "level:" ;
  autocomplete->addFXArgs(":normaliser", fxtmp);

  // fx :distortion
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "distort:" ;
  autocomplete->addFXArgs(":distortion", fxtmp);

  // fx :pan
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "pan:" ;
  autocomplete->addFXArgs(":pan", fxtmp);

  // fx :bpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "centre:" << "res:" ;
  autocomplete->addFXArgs(":bpf", fxtmp);

  // fx :nbpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "centre:" << "res:" ;
  autocomplete->addFXArgs(":nbpf", fxtmp);

  // fx :rbpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "centre:" << "res:" ;
  autocomplete->addFXArgs(":rbpf", fxtmp);

  // fx :nrbpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "centre:" << "res:" ;
  autocomplete->addFXArgs(":nrbpf", fxtmp);

  // fx :band_eq
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "freq:" << "res:" << "db:" ;
  autocomplete->addFXArgs(":band_eq", fxtmp);

  // fx :tanh
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "krunch:" ;
  autocomplete->addFXArgs(":tanh", fxtmp);

  // fx :pitch_shift
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "window_size:" << "pitch:" << "pitch_dis:" << "time_dis:" ;
  autocomplete->addFXArgs(":pitch_shift", fxtmp);

  // fx :ring_mod
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "freq:" << "mod_amp:" ;
  autocomplete->addFXArgs(":ring_mod", fxtmp);

  // fx :octaver
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "super_amp:" << "sub_amp:" << "subsub_amp:" ;
  autocomplete->addFXArgs(":octaver", fxtmp);

  // fx :vowel
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "vowel_sound:" << "voice:" ;
  autocomplete->addFXArgs(":vowel", fxtmp);

  // fx :flanger
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "phase_offset:" << "wave:" << "invert_wave:" << "stereo_invert_wave:" << "delay:" << "max_delay:" << "depth:" << "decay:" << "feedback:" << "invert_flange:" ;
  autocomplete->addFXArgs(":flanger", fxtmp);

  // fx :eq
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "low_shelf:" << "low_shelf_note:" << "low_shelf_slope:" << "low:" << "low_note:" << "low_q:" << "mid:" << "mid_note:" << "mid_q:" << "high:" << "high_note:" << "high_q:" << "high_shelf:" << "high_shelf_note:" << "high_shelf_slope:" ;
  autocomplete->addFXArgs(":eq", fxtmp);

  // fx :tremolo
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "phase:" << "phase_offset:" << "wave:" << "invert_wave:" << "depth:" ;
  autocomplete->addFXArgs(":tremolo", fxtmp);

  // fx :record
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "buffer:" ;
  autocomplete->addFXArgs(":record", fxtmp);

  // fx :sound_out
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "output:" << "mode:" ;
  autocomplete->addFXArgs(":sound_out", fxtmp);

  // fx :sound_out_stereo
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_mix:" << "pre_amp:" << "output:" << "mode:" ;
  autocomplete->addFXArgs(":sound_out_stereo", fxtmp);

  // synth :dull_bell
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":dull_bell", fxtmp);

  // synth :pretty_bell
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":pretty_bell", fxtmp);

  // synth :beep
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":beep", fxtmp);

  // synth :sine
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":sine", fxtmp);

  // synth :saw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":saw", fxtmp);

  // synth :pulse
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":pulse", fxtmp);

  // synth :subpulse
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "pulse_width:" << "sub_amp:" << "sub_detune:" ;
  autocomplete->addSynthArgs(":subpulse", fxtmp);

  // synth :square
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" ;
  autocomplete->addSynthArgs(":square", fxtmp);

  // synth :tri
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":tri", fxtmp);

  // synth :dsaw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "detune:" ;
  autocomplete->addSynthArgs(":dsaw", fxtmp);

  // synth :dpulse
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "detune:" << "pulse_width:" << "dpulse_width:" ;
  autocomplete->addSynthArgs(":dpulse", fxtmp);

  // synth :dtri
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "detune:" ;
  autocomplete->addSynthArgs(":dtri", fxtmp);

  // synth :fm
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "divisor:" << "depth:" ;
  autocomplete->addSynthArgs(":fm", fxtmp);

  // synth :mod_fm
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "divisor:" << "depth:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_fm", fxtmp);

  // synth :mod_saw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_saw", fxtmp);

  // synth :mod_dsaw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" << "detune:" ;
  autocomplete->addSynthArgs(":mod_dsaw", fxtmp);

  // synth :mod_sine
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_sine", fxtmp);

  // synth :mod_beep
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_beep", fxtmp);

  // synth :mod_tri
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_tri", fxtmp);

  // synth :mod_pulse
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":mod_pulse", fxtmp);

  // synth :chiplead
  fxtmp.clear(); fxtmp << "note:" << "note_resolution:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "width:" ;
  autocomplete->addSynthArgs(":chiplead", fxtmp);

  // synth :chipbass
  fxtmp.clear(); fxtmp << "note:" << "note_resolution:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":chipbass", fxtmp);

  // synth :tb303
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "cutoff_min:" << "cutoff_attack:" << "cutoff_decay:" << "cutoff_sustain:" << "cutoff_release:" << "cutoff_attack_level:" << "cutoff_decay_level:" << "cutoff_sustain_level:" << "res:" << "wave:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":tb303", fxtmp);

  // synth :supersaw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":supersaw", fxtmp);

  // synth :hoover
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":hoover", fxtmp);

  // synth :prophet
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":prophet", fxtmp);

  // synth :zawa
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "cutoff:" << "res:" << "phase:" << "phase_offset:" << "wave:" << "invert_wave:" << "range:" << "disable_wave:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":zawa", fxtmp);

  // synth :dark_ambience
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" << "detune1:" << "detune2:" << "noise:" << "ring:" << "room:" << "reverb_time:" ;
  autocomplete->addSynthArgs(":dark_ambience", fxtmp);

  // synth :growl
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":growl", fxtmp);

  // synth :hollow
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" << "noise:" << "norm:" ;
  autocomplete->addSynthArgs(":hollow", fxtmp);

  // synth :mono_player
  fxtmp.clear(); fxtmp << "amp:" << "pre_amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "lpf:" << "lpf_attack:" << "lpf_decay:" << "lpf_sustain:" << "lpf_release:" << "lpf_init_level:" << "lpf_attack_level:" << "lpf_decay_level:" << "lpf_sustain_level:" << "lpf_release_level:" << "lpf_env_curve:" << "lpf_min:" << "hpf:" << "hpf_attack:" << "hpf_sustain:" << "hpf_decay:" << "hpf_release:" << "hpf_init_level:" << "hpf_attack_level:" << "hpf_decay_level:" << "hpf_sustain_level:" << "hpf_release_level:" << "hpf_env_curve:" << "hpf_max:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "rate:" << "start:" << "finish:" << "norm:" << "pitch:" << "window_size:" << "pitch_dis:" << "time_dis:" << "compress:" << "threshold:" << "clamp_time:" << "slope_above:" << "slope_below:" << "relax_time:" ;
  autocomplete->addSynthArgs(":mono_player", fxtmp);

  // synth :stereo_player
  fxtmp.clear(); fxtmp << "amp:" << "pre_amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "lpf:" << "lpf_attack:" << "lpf_decay:" << "lpf_sustain:" << "lpf_release:" << "lpf_init_level:" << "lpf_attack_level:" << "lpf_decay_level:" << "lpf_sustain_level:" << "lpf_release_level:" << "lpf_env_curve:" << "lpf_min:" << "hpf:" << "hpf_attack:" << "hpf_sustain:" << "hpf_decay:" << "hpf_release:" << "hpf_init_level:" << "hpf_attack_level:" << "hpf_decay_level:" << "hpf_sustain_level:" << "hpf_release_level:" << "hpf_env_curve:" << "hpf_max:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "rate:" << "start:" << "finish:" << "norm:" << "pitch:" << "window_size:" << "pitch_dis:" << "time_dis:" << "compress:" << "threshold:" << "clamp_time:" << "slope_above:" << "slope_below:" << "relax_time:" ;
  autocomplete->addSynthArgs(":stereo_player", fxtmp);

  // synth :blade
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "vibrato_rate:" << "vibrato_depth:" << "vibrato_delay:" << "vibrato_onset:" ;
  autocomplete->addSynthArgs(":blade", fxtmp);

  // synth :piano
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "vel:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "hard:" << "stereo_width:" ;
  autocomplete->addSynthArgs(":piano", fxtmp);

  // synth :pluck
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "sustain:" << "release:" << "attack_level:" << "decay:" << "decay_level:" << "sustain_level:" << "noise_amp:" << "max_delay_time:" << "pluck_decay:" << "coef:" ;
  autocomplete->addSynthArgs(":pluck", fxtmp);

  // synth :tech_saws
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":tech_saws", fxtmp);

  // synth :sound_in
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "input:" ;
  autocomplete->addSynthArgs(":sound_in", fxtmp);

  // synth :sound_in_stereo
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "input:" ;
  autocomplete->addSynthArgs(":sound_in_stereo", fxtmp);

  // synth :noise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":noise", fxtmp);

  // synth :pnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":pnoise", fxtmp);

  // synth :bnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":bnoise", fxtmp);

  // synth :gnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":gnoise", fxtmp);

  // synth :cnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":cnoise", fxtmp);

  // synth :chipnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "decay_level:" << "sustain_level:" << "env_curve:" << "freq_band:" ;
  autocomplete->addSynthArgs(":chipnoise", fxtmp);

  // synth :basic_mono_player
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "rate:" << "lpf:" << "hpf:" ;
  autocomplete->addSynthArgs(":basic_mono_player", fxtmp);

  // synth :basic_stereo_player
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "rate:" << "lpf:" << "hpf:" ;
  autocomplete->addSynthArgs(":basic_stereo_player", fxtmp);

  // synth :basic_mixer
  fxtmp.clear(); fxtmp << "amp:" ;
  autocomplete->addSynthArgs(":basic_mixer", fxtmp);

  // synth :main_mixer
  fxtmp.clear(); fxtmp << "amp:" << "pre_amp:" << "hpf:" << "lpf:" << "hpf_bypass:" << "lpf_bypass:" << "force_mono:" << "invert_stereo:" << "limiter_bypass:" << "leak_dc_bypass:" ;
  autocomplete->addSynthArgs(":main_mixer", fxtmp);

}
