1.2 Utforskning av brukergrensesnittet

# Sonic Pi-grensesnittet

Sonic Pi har et svært enkelt brukergrensesnitt for koding av musikk. La oss bruke litt tid på å utforske det.

![Sonic Pi-grensesnittet](../images/tutorial/GUI.png)


*A* - Avspillingskontroller
*B* - Redigeringskontroller
*C* - Info og hjelp
*D* - Kodebehandler
*E* - Innstillingspanelet
*F* - Loggvisning
*G* - Hjelpesystem
*F* - Loggvisning

## A. Avspillingskontroller

Disse rosa knappene er hovedkontroller for start- og stopp-lyder. 'Run'-knappen kjører koden i behandleren, *Stop*-for å stoppe all kjørende kode, *Save* for å lagre koden til en ekstern fil og *Record* for å lage et opptak (en WAV-fil) av en lydavspilling.

## B. Redigeringskontroller

Disse oransje knappene lar deg styre koderedigeringen. *Size +* og *Size -*-knappene lar deg gjøre teksten større og mindre. *Align*-knappen vil pleie koden for deg for å få den til å se mer profesjonell ut.

## C. Info og hjelp

De blå knappene gir tilgang til informasjon, hjelp og innstillinger. *Info*-knappen åpner vinduet med informasjon om Sonic Pi-kjerneteamet, historien, bidragsytere og arbeidsmiljøet/fellesskapet (community). *Help*-knappen veksler i hjelpesystemet (*G*) - og *Prefs*-knappen veksler i innstillingsvinduet som lar deg kontrollere noen grunnleggende systemparametre.

## D. Kodebehandleren

Dette er området hvor du skal skrive koden og komponere/fremføre musikk. Det er en enkel tekstbehandler der du kan skrive kode, slette den, klippe og lime, osv. Tenk på det som en svært grunnleggende versjon av Libreoffice eller nettbasert tekstbehandling. Tekstbehandleren vil automatisk farge opp ord basert på deres betydning i koden. Dette kan virke rart i begynnelsen, men du vil snart finne det svært nyttig. For eksempel vet du at noe er et nummer fordi det er blått.

## E. Innstillingspanel

Sonic Pi støtter en rekke justerbare innstillinger som blir tilgjengelig ved å bruke *Prefs*-knappen i Info og Help-valgene. Dette veksler synligheten til Innstillingspanelet, som har en rekke endringsmuligheter. Eksempler er låsing til mono og snuing av stereo. veksling av detaljrikdom i loggføring av resultatet og en lydstyrkeskyve-knapp og kanalvelger på Rasberry Pi-en.

## F. Loggvisning

Når du kjører koden, vises informasjon om hva programmet gjør i logg-visningen. Som forvalg vil du se én melding for hver lyd du oppretter med nøyaktig tid for når lyden ble utløst. Dette er svært nyttig for feilsøking i koden, og for å forstå hva koden gjør.

## G. Hjelpesystem

Endelig, en av de viktigste delene av Sonic Pi-grensesnittet er hjelpesystemet som vises nederst i vinduet. Dette kan slås av og på ved å klikke på den blå "Help"-knappen. Hjelpesystemet inneholder hjelp og informasjon om alle aspekter ved Sonic Pi, inkludert denne opplæringen, en liste over tilgjengelige synther, lydklipp, eksempler, FX og en fullstendig liste over alle funksjoner Sonic Pi har for koding av musikk.

## F. Loggvisning

The scope viewer allows you to see the sound you're hearing. You can easily see that the saw wave looks like a saw and that the basic beep is a curvey sine wave. You can also see the difference between loud and quiet sounds by the size of the lines. There are 3 scopes to play with - the default is a combined scope for the left and right channels, there is a stereo scope which draws a separate scope for each channel. Finally there is a Lissajous curve scope which will show the phase relationship between the left and right channels and allows you to draw pretty pictures with sound (https://en.wikipedia.org/wiki/Lissajous_curve).
