11.1 Basis API

# Basis Minecraft Pi API

Sonic Pi ondersteunt momenteel de volgende fundamentele interacties met Minecraft Pi:

Chatberichten weergeven
De plaats van de gebruiker instellen
De positie van de gebruiker verkrijgen
Het bloktype instellen op een bepaalde coördinaat
Het krijgen van het bloktype bij een bepaalde coördinaat


Laten we deze op hun beurt eens bekijken .

## Chatberichten weergeven

Laten we eens kijken hoe makkelijk het is om Minecraft Pi vanuit  Sonic Pi te controllen. Controleer eerst of u zowel Minecraft Pi en Sonic Pi open hebt staan en ook zorg ervoor dat u een Minecraft wereld hebt ingevoerd en je hier kan in rondlopen.

Voer de volgende code in een verse Sonic Pi-buffer:

```
mc_message "Hello from Sonic Pi"
```

Wanneer je de *Afspeel* knop indrukt zal je je berichtje openspringen op het Minecraft-scherm. Gefeliciteerd, hebt u uw eerste Minecraft code geschreven! Dat was niet moeilijk.

## De plaats van de gebruiker instellen

Nu gaan we  wat magie gebruiken. Laten we onszelf naar ergens anders teleporteren. Probeer het volgende:

```
mc_teleport 50, 50, 50
```

Wanneer je de * afspeel* knop indrukt - bam! Je bent inmiddelijk op een nieuwe plek. Waarschijnlijk ergens in de lucht en dat je op de grond of in het water viel. Nu, wat zijn die nummers : '50, 50, 50'? Dat zijn de coördinaten van de plaats waarnaartoe je probeerde te teleporteren. Neem de tijd om  coördinaten te verkennen en wat deze  zijn en hoe ze werken.Dit is echt belangrijk om Minecraft te kunnen programmeren.

## Coördinaten

Stel je een piraten kaart voor met een grote `X` om de locatie van één of andere schat te markeren. De exacte locatie van de  `X`  kan beschreven worden met twee cijfers- hoe ver van links naar rechts op de kaart en hoe ver op de kaart van beneden naar boven in de kaart. Bijvoorbeeld  `10cm` over en `8cm`  naar omhoog. Deze twee nummers `10` en `8` zijn coördinaten. U kan zich goed voorstellen hoe een beschrijving van andere locaties van schatten met andere cijfercombinaties. Misschien is er een grote kist met goud aan `2` langs en `9` omhoog...

In Minecraft zijn twee getallen niet genoeg. We willen ook weten hoe hoog we zijn. Daarvoor hebben we drie getallen nodig:

Hoe ver van rechts naar links in de wereld - 'x'
Hoe ver van voren naar achteren in de wereld - 'z'
Hoe hoog, we in de wereld zijn - 'y'

Één ding nog - we schrijven meestal deze coördinaten in deze volgorde`x`, `y`, `z`.

## Uw huidige coördinaten vinden

Laten we eens spelen met de coördinaten. Navigeer naar een mooie plek in de Minecraft kaart en schakel naar de Sonic Pi. Voer nu de volgende gegevens in:

```
puts mc_location
```

Wanneer je de*Afspeel* knop drukt zie je de coördinaten van uw huidige positie weergegeven in het logboekvenster. Neem hier nota van, ga vooruit in de wereld en probeer het opnieuw. Merk op hoe de coördinaten veranderen! Nu, adviseer ik om dit enige tijd te herhalen - beweeg een beetje in de wereld, neem een kijkje naar de coördinaten en herhaal. Doe dit tot je er gevoel voor begint te krijgen hoe de coördinaten veranderen wanneer u zich verplaatst. Zodra u hebt begrepen hoe coördinaten werken, zal programmeren met de Minecraft-API peanuts zijn.

## Laten we bouwen!

Nu je de huidige positie weet te vinden en hoe te teleporteren met behulp van coördinaten, heb je alle hulpmiddelen die die je nodig hebt om  met code te beginnen bouwen  in Minecraft. Stel dat je het blok met coördinaten `40`, `50`, `60` van glas wordt. Dat is dan super eenvoudig:

```
mc_set_block :glass, 40, 50, 60
```

Haha, het was echt zo makkelijk. Om je werkstuk te zien teleporteer je je in de buurt:

```
mc_teleport 35, 50, 60
```

Draai nu even rond en je zou je glazen blok moeten zien staan! Probeer deze nu te veranderen in diamant:

```
mc_set_block :diamond, 40, 50, 60
```

Als je in de juiste richting gekeken hebt heb je het misschien zién veranderen! Dit is het begin van iets spannends...

## Blokken bekijken

Laat we naar een laatste ding kijken, voor we ons engageren in iets anders. Met een set aan coördinaten kunnen we Minecraft vragen van welk type een bepaalde blok is. Laat ons dit proberen met onze net aangemaakte blok:

```
puts mc_get_block 40, 50, 60
```

Jeuj! Het is `:diamond`.Probeer deze terug te veranderen naar glas en vraag dan opnieuw- zegt het nu `:glass`? Ik ben zeker van wel :-)

## Beschikbare bloktypes

Voordat je op op ramkoers gaat met Minecraft Pi codering , misschien vindt u deze lijst van beschikbare bloktypes dan nuttig:

```
    :air
    :stone
    :grass
    :dirt
    :cobblestone
    :wood_plank
    :sapling
    :bedrock
    :water_flowing
    :water
    :water_stationary
    :lava_flowing
    :lava
    :lava_stationary
    :sand
    :gravel
    :gold_ore
    :iron_ore
    :coal_ore
    :wood
    :leaves
    :glass
    :lapis
    :lapis_lazuli_block
    :sandstone
    :bed
    :cobweb
    :grass_tall
    :flower_yellow
    :flower_cyan
    :mushroom_brown
    :mushroom_red
    :gold_block
    :gold
    :iron_block
    :iron
    :stone_slab_double
    :stone_slab
    :brick
    :brick_block
    :tnt
    :bookshelf
    :moss_stone
    :obsidian
    :torch
    :fire
    :stairs_wood
    :chest
    :diamond_ore
    :diamond_block
    :diamond
    :crafting_table
    :farmland
    :furnace_inactive
    :furnace_active
    :door_wood
    :ladder
    :stairs_cobblestone
    :door_iron
    :redstone_ore
    :snow
    :ice
    :snow_block
    :cactus
    :clay
    :sugar_cane
    :fence
    :glowstone_block
    :bedrock_invisible
    :stone_brick
    :glass_pane
    :melon
    :fence_gate
    :glowing_obsidian
    :nether_reactor_core
```
