11.1 Basic API

# Базовый API Minecraft Pi

Sonic Pi в настоящее время поддерживает следующие основные взаимосвязи с Minecraft Pi:

Отображение сообщений в чате
Установка позиции пользователя
Получение позиции пользователя
Установка типа блока по заданным координатам
Получение типа блока по заданным координатам


Давайте рассмотрим каждую из них по очереди.

## Отображение сообщений в чате

Давайте посмотрим, как легко управлять Minecraft Pi из Sonic Pi. Во-первых, убедись, что и Minecraft Pi, и Sonic Pi, открыты в одно и то же время, а также, что вы вошли в мир Minecraft и можете там передвигаться.

Просто наберите в пустом буфере Sonic Pi следующий код:

```
mc_message "Hello from Sonic Pi"
```

Когда вы нажмёте кнопку *Выполнить*, вы увидите своё сообщение в окне Minecraft. Поздравляю, вы написали свой первый код в Minecraft! Это было просто, не так ли?

## Установка позиции пользователя

Теперь давайте попробуем немного магии. Телепортируем себя куда-нибудь! Наберите следующее:

```
mc_teleport 50, 50, 50
```

Когда вы нажмёте *Выполнить* - бум! Вы мгновенно переноситесь на новое место. Скорее всего, это будет где-то в небе, и вы упадёте на землю, либо на сушу, или в воду. Что это за цифры: `50, 50, 50`? Это координаты места, в которыое вы пытаетесь телепортироваться. Давайте сделаем короткий перерыв, чтобы выяснить, что такое координаты и как они работают, потому что они очень, очень важны для программирования Minecraft.

## Координаты

Представьте пиратскую карту с большой `X` меткой на месте расположения каких-нибудь сокровищ. Точное местоположение `X` может быть описано с помощью двух чисел - как далеко по карте слева направо и как далеко по карте снизу вверх. Например `10см` по горизонтали и `8 см` вверх. Эти числа `10` и `8` - это координаты. Вы можете легко представить местоположение других тайников с сокровищами, описанное другой парой чисел. Возможно, есть большой сундук золота на `2` по горизонтали и `9` по вертикали...

Но, в Minecraft двух чисел не достаточно. Нам также нужно знать как высоко мы находимся. Следовательно, нам нужно три числа:

Как далеко с права на лево в мире - `x`
Как далеко от передней до задней части мира - `z`
Как высоко мы находимся в мире - `y`

Ещё один ньюанс - мы описываем эти координаты в таком порядке: `x`, `y`, `z`.

## Нахождение Твоих Текущих Координат

Давайте поиграем с координатами. Переместитесь в приятное место на карте Minecraft, а потом переключитесь на Sonic Pi. Введите следующее:

```
puts mc_location
```

Когда вы нажмёте кнопку *Выполнить* вы увидите, что координаты текущего положения отобразятся в окне журнала. Запишите их, затем двигайтесь вперёд в мире Minecraft и попробуйте получить координаы снова. Обратите внимание, как они изменились! А сейчас, я рекомендую вам потратить некоторое время на повторение именно этого - немного переместитесь в мире, посмотрите координаты и повтори это снова. Делайте это до тех пор, пока не начнёте чувствовать, как изменяются координаты, когда вы перемещаетесь. Как только вы поймёте, как координаты работают, программирование с Minecraft API будет совершенной мелочью.

## Давайте Строить!

Теперь, когда вы знаете, как найти текущую позицию и телепортироваться, используя координаты, у вас есть все инструменты, чтобы начать строить различные вещи в Minecraft с помощью кода. Допустим, вы хочтите сделать блок с координатами `40`, `50`, `60` стеклянным. Это супер просто:

```
mc_set_block :glass, 40, 50, 60
```

Ха-ха, это действительно было просто. Увидеть дело рук своих проще простого - телепортируйтесь рядом и посмотрите:

```
mc_teleport 35, 50, 60
```

Теперь повернитесь и ты увидите свой стеклянный блок! Попробуйте изменить его на алмаз:

```
mc_set_block :diamond, 40, 50, 60
```

Если вы смотрели в правильном направлении, то могли увидеть эти изменения соими глазами! Это начало чего-то захватывающего...

## Смотрим На Блоки

Давай рассмотрим ещё одну, последнюю вещь, прежде чем перейдём к чему-то немного более сложному. Задавая набор координат, можно указать какого типа должен быть блок. Давайте попробуем это с алмазным блоком, который мы только что создали:

```
puts mc_get_block 40, 50, 60
```

Эй! Это `:diamond`. Попробуйте изменить его обратно на стекло и спросите Minecraft об этом снова - он ответит `:glass`? Я уверен, что да :-)

## Доступные Типы Блоков

Перед тем, как пойти неистово кодировать на Minecraft Pi, вы могли бы найти этот список доступных типов блоков полезным:

```
    :air
    :stone
    :grass
    :dirt
    :cobblestone
    :wood_plank
    :sapling
    :bedrock
    :water_flowing
    :water
    :water_stationary
    :lava_flowing
    :lava
    :lava_stationary
    :sand
    :gravel
    :gold_ore
    :iron_ore
    :coal_ore
    :wood
    :leaves
    :glass
    :lapis
    :lapis_lazuli_block
    :sandstone
    :bed
    :cobweb
    :grass_tall
    :flower_yellow
    :flower_cyan
    :mushroom_brown
    :mushroom_red
    :gold_block
    :gold
    :iron_block
    :iron
    :stone_slab_double
    :stone_slab
    :brick
    :brick_block
    :tnt
    :bookshelf
    :moss_stone
    :obsidian
    :torch
    :fire
    :stairs_wood
    :chest
    :diamond_ore
    :diamond_block
    :diamond
    :crafting_table
    :farmland
    :furnace_inactive
    :furnace_active
    :door_wood
    :ladder
    :stairs_cobblestone
    :door_iron
    :redstone_ore
    :snow
    :ice
    :snow_block
    :cactus
    :clay
    :sugar_cane
    :fence
    :glowstone_block
    :bedrock_invisible
    :stone_brick
    :glass_pane
    :melon
    :fence_gate
    :glowing_obsidian
    :nether_reactor_core
```
